"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Avatar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _avatarContext = require("../avatargroup/avatarContext");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
var _icon = _interopRequireDefault(require("../icon"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  size: '',
  icon: '',
  iconSize: '',
  bgColor: '#eee',
  color: '#666'
};
const Avatar = props => {
  var _parent$propAvatarGro, _parent$propAvatarGro2, _parent$propAvatarGro3, _parent$propAvatarGro4, _parent$propAvatarGro5, _parent$propAvatarGro6, _parent$propAvatarGro7, _parent$propAvatarGro8, _parent$propAvatarGro9, _parent$propAvatarGro11, _parent$propAvatarGro12, _parent$propAvatarGro13, _parent$propAvatarGro14, _parent$propAvatarGro15, _parent$propAvatarGro16, _parent$propAvatarGro17;
  const {
    children,
    size,
    shape,
    bgColor,
    color,
    source,
    icon,
    iconSize,
    style,
    activeAvatar,
    onActiveAvatar,
    onError
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const [maxSum, setMaxSum] = (0, _react.useState)(0); // avatarGroup里的avatar的个数
  const [showMax, setShowMax] = (0, _react.useState)(false); // 是否显示的最大头像个数
  const [avatarIndex, setAvatarIndex] = (0, _react.useState)(1); // avatar的索引
  const avatarRef = (0, _react.useRef)(null);
  const parent = (0, _react.useContext)(_avatarContext.AvatarContext);
  const stylesObj = {
    backgroundColor: `${bgColor}`,
    color: `${color}`,
    marginLeft: avatarIndex !== 1 && parent !== null && parent !== void 0 && (_parent$propAvatarGro = parent.propAvatarGroup) !== null && _parent$propAvatarGro !== void 0 && _parent$propAvatarGro.span ? parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro2 = parent.propAvatarGroup) === null || _parent$propAvatarGro2 === void 0 ? void 0 : _parent$propAvatarGro2.span : 0,
    zIndex: (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro3 = parent.propAvatarGroup) === null || _parent$propAvatarGro3 === void 0 ? void 0 : _parent$propAvatarGro3.zIndex) === 'right' ? `${Math.abs(maxSum - avatarIndex)}` : ''
  };
  const mySize = size || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro4 = parent.propAvatarGroup) === null || _parent$propAvatarGro4 === void 0 ? void 0 : _parent$propAvatarGro4.size) || 'normal';
  const wrapStyle = [styles.container, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {})), styles[`size${mySize}`], styles[`shape${mySize}${shape || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro5 = parent.propAvatarGroup) === null || _parent$propAvatarGro5 === void 0 ? void 0 : _parent$propAvatarGro5.shape) || 'round'}`], stylesObj];
  const maxStyles = {
    backgroundColor: `${parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro6 = parent.propAvatarGroup) === null || _parent$propAvatarGro6 === void 0 ? void 0 : _parent$propAvatarGro6.maxBgColor}`,
    color: `${parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro7 = parent.propAvatarGroup) === null || _parent$propAvatarGro7 === void 0 ? void 0 : _parent$propAvatarGro7.maxColor}`
  };
  const maxWrapStyle = [styles.container, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {})), styles[`size${mySize}`], styles[`shape${mySize}${shape || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro8 = parent.propAvatarGroup) === null || _parent$propAvatarGro8 === void 0 ? void 0 : _parent$propAvatarGro8.shape) || 'round'}`], maxStyles];
  const imageStyle = [styles.avatarImg, styles[`size${mySize}`], styles[`shape${mySize}${shape || (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro9 = parent.propAvatarGroup) === null || _parent$propAvatarGro9 === void 0 ? void 0 : _parent$propAvatarGro9.shape) || 'round'}`]];
  const iconStyles = icon || '';
  (0, _react.useEffect)(() => {
    var _parent$avatarGroupRe;
    const avatarChildren = parent === null || parent === void 0 ? void 0 : (_parent$avatarGroupRe = parent.avatarGroupRef) === null || _parent$avatarGroupRe === void 0 ? void 0 : _parent$avatarGroupRe.current.children;
    if (avatarChildren) {
      avatarLength(avatarChildren);
    }
  }, []);
  const avatarLength = children => {
    var _avatarRef$current, _avatarRef$current$da, _parent$propAvatarGro10;
    for (let i = 0; i < children.length; i++) {
      if (children[i]

      // children[i].classList &&
      // children[i].classList[0] === 'nut-avatar'
      ) {
        children[i].setAttribute('data-index', i + 1);
      }
    }
    const index = Number(avatarRef === null || avatarRef === void 0 ? void 0 : (_avatarRef$current = avatarRef.current) === null || _avatarRef$current === void 0 ? void 0 : (_avatarRef$current$da = _avatarRef$current.dataset) === null || _avatarRef$current$da === void 0 ? void 0 : _avatarRef$current$da.index);
    const maxCount = parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro10 = parent.propAvatarGroup) === null || _parent$propAvatarGro10 === void 0 ? void 0 : _parent$propAvatarGro10.maxCount;
    setMaxSum(children.length);
    setAvatarIndex(index);
    if (index === children.length && index !== maxCount && children.length > maxCount) {
      setShowMax(true);
    }
  };
  const errorEvent = e => {
    if (props.onError) {
      props.onError(e);
    }
  };
  const clickAvatar = e => {
    activeAvatar && activeAvatar(e);
    onActiveAvatar && onActiveAvatar(e);
  };
  const getIconSize = () => {
    const isImage = icon ? icon.indexOf('/') !== -1 : false;
    if (isImage) {
      if (iconSize) {
        return iconSize;
      }
      if (mySize === 'large') {
        return theme['$avatar-icon-large-size'] || 60;
      }
      if (mySize === 'normal') {
        return theme['$avatar-icon-normal-size'] || 40;
      }
      if (mySize === 'small') {
        return theme['$avatar-icon-small-size'] || 32;
      }
    } else {
      if (iconSize) {
        return iconSize;
      }
    }
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, (showMax || !(parent !== null && parent !== void 0 && (_parent$propAvatarGro11 = parent.propAvatarGroup) !== null && _parent$propAvatarGro11 !== void 0 && _parent$propAvatarGro11.maxCount) || avatarIndex <= (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro12 = parent.propAvatarGroup) === null || _parent$propAvatarGro12 === void 0 ? void 0 : _parent$propAvatarGro12.maxCount)) && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: !showMax ? wrapStyle : maxWrapStyle
    // onClick={clickAvatar}
    ,
    ref: avatarRef
  }, (!(parent !== null && parent !== void 0 && (_parent$propAvatarGro13 = parent.propAvatarGroup) !== null && _parent$propAvatarGro13 !== void 0 && _parent$propAvatarGro13.maxCount) || avatarIndex <= (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro14 = parent.propAvatarGroup) === null || _parent$propAvatarGro14 === void 0 ? void 0 : _parent$propAvatarGro14.maxCount)) && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, source ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: imageStyle,
    source: source,
    onError: errorEvent
  }) : null, icon ? /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: iconStyles,
    size: getIconSize()
  }) : null, children ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.text
  }, children) : null), showMax && /*#__PURE__*/_react.default.createElement(_reactNative.View, null, parent !== null && parent !== void 0 && (_parent$propAvatarGro15 = parent.propAvatarGroup) !== null && _parent$propAvatarGro15 !== void 0 && _parent$propAvatarGro15.maxContent ? parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro16 = parent.propAvatarGroup) === null || _parent$propAvatarGro16 === void 0 ? void 0 : _parent$propAvatarGro16.maxContent : `+ ${avatarIndex - (parent === null || parent === void 0 ? void 0 : (_parent$propAvatarGro17 = parent.propAvatarGroup) === null || _parent$propAvatarGro17 === void 0 ? void 0 : _parent$propAvatarGro17.maxCount)}`)));
};
exports.Avatar = Avatar;
Avatar.defaultProps = defaultProps;
Avatar.displayName = 'NutAvatar';
//# sourceMappingURL=avatar.js.map