"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Badge = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _icon = _interopRequireDefault(require("../icon"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _styles = _interopRequireDefault(require("./styles"));
var _configprovider = require("../configprovider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  value: '',
  dot: false,
  max: 10000,
  top: 0,
  right: 0,
  zIndex: 0,
  color: '',
  icon: ''
};
const Badge = props => {
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const {
    style,
    children,
    dot,
    top,
    right,
    zIndex,
    color,
    icon
  } = {
    ...defaultProps,
    ...props
  };
  function content() {
    if (dot) return undefined;
    const {
      value
    } = props;
    const {
      max
    } = props;
    if (typeof value === 'number' && typeof max === 'number') {
      return max < value ? `${max}+` : value;
    }
    return value;
  }
  const getStyle = () => {
    const style = {};
    if (top) {
      style.top = top;
    }
    if (right) {
      style.right = right;
    }
    style.zIndex = zIndex;
    if (color) {
      style.backgroundColor = color;
    }
    return style;
  };
  let wrapStyle = [styles.container, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))];
  let dotStyle = [styles.sup, dot ? styles.isDot : {}, getStyle()];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, icon !== '' ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.slotIcons
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: icon,
    color: "#ffffff",
    size: 12
  })) : null, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, children), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: dotStyle
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.text
  }, content() || '')));
};
exports.Badge = Badge;
Badge.defaultProps = defaultProps;
Badge.displayName = 'NutBadge';
//# sourceMappingURL=badge.js.map