"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageStyles = exports.DemoPage = exports.DemoCard = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const DemoPage = _ref => {
  let {
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: PageStyles.page
  }, children);
};
exports.DemoPage = DemoPage;
const DemoCard = _ref2 => {
  let {
    title,
    subTitle,
    children,
    flexDirection = 'row',
    backgroundColor = '#fff',
    padding = 10,
    marginLeft = 20
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, (title || subTitle) && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: PageStyles.title
  }, title, subTitle && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: PageStyles.subTitle
  }, `(${subTitle})`)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [PageStyles.card, {
      flexDirection,
      backgroundColor,
      padding,
      marginLeft
    }]
  }, children.length > 0 ? children.map((Component, index) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: index,
    style: [PageStyles.gap, {
      width: flexDirection === 'column' ? '100%' : 'auto',
      marginHorizontal: flexDirection === 'column' ? 0 : 5
    }]
  }, Component)) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children)));
};
exports.DemoCard = DemoCard;
const PageStyles = _reactNative.StyleSheet.create({
  page: {
    width: _utils.DiviceWidth,
    paddingTop: 20,
    backgroundColor: '#f7f7f7',
    flex: 1
  },
  title: {
    marginBottom: 10,
    marginLeft: 20
  },
  subTitle: {
    fontSize: 12,
    paddingLeft: 10
  },
  card: {
    display: 'flex',
    flexDirection: 'row',
    flexWrap: 'wrap',
    width: _utils.DiviceWidth - 40,
    backgroundColor: '#fff',
    borderRadius: 4,
    justifyContent: 'flex-start',
    marginLeft: 20,
    marginBottom: 20,
    padding: 10
  },
  gap: {
    margin: 5
  }
});
exports.PageStyles = PageStyles;
//# sourceMappingURL=demo.page.js.map