"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _countdown = _interopRequireDefault(require("../countdown"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CountdownDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      format: '自定义格式',
      millisecond: '毫秒级渲染',
      serverTime: '以服务端的时间为准',
      async: '异步更新结束时间',
      controlTime: '控制开始和暂停的倒计时',
      customStyle: '自定义展示样式',
      day: '天',
      hour: '时',
      minute: '分',
      second: '秒'
    },
    'zh-TW': {
      basic: '基本用法',
      format: '自定义格式',
      millisecond: '毫秒级渲染',
      serverTime: '以服务端的时间为准',
      async: '异步更新结束时间',
      controlTime: '控制开始和暂停的倒计时',
      customStyle: '自定义展示样式',
      day: '天',
      hour: '时',
      minute: '分',
      second: '秒'
    },
    'en-US': {
      basic: 'Basic Usage',
      format: 'Custom Format',
      millisecond: 'Millisecond',
      serverTime: 'Server Time Prevails',
      async: 'End-Time of Asyn Update',
      controlTime: 'Manual Control',
      customStyle: 'Custom Style',
      day: 'Day',
      hour: ':',
      minute: ':',
      second: ''
    }
  });
  const stateRef1 = (0, _react.useRef)({
    endTime: Date.now() + 60 * 1000
  });
  const onEnd1 = () => {
    //   console.log('countdown: ended.');
  };
  const stateRef2 = (0, _react.useRef)({
    endTime: Date.now() + 60 * 1000
  });
  const stateRef3 = (0, _react.useRef)({
    endTime: Date.now() + 60 * 1000
  });
  const stateRef4 = (0, _react.useRef)({
    serverTime: Date.now() - 20 * 1000,
    endTime: Date.now() + 60 * 1000
  });
  const stateRef5 = (0, _react.useRef)({
    endTime: Date.now() + 60 * 1000
  });
  const [resetTime, setResetTime] = (0, _react.useState)({
    d: '1',
    h: '00',
    m: '00',
    s: '00'
  });
  const onUpdate = v => {
    setResetTime(v);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_countdown.default, {
    endTime: stateRef1.current.endTime,
    onEnd: onEnd1
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义格式'
  , {
    title: translated.format
  }, /*#__PURE__*/_react.default.createElement(_countdown.default, {
    endTime: stateRef2.current.endTime
    // format='DD 天 HH 时 mm 分 ss 秒'
    ,
    format: `DD ${translated.day} HH ${translated.hour} mm ${translated.minute} ss ${translated.second}`
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='毫秒级渲染'
  , {
    title: translated.millisecond
  }, /*#__PURE__*/_react.default.createElement(_countdown.default, {
    endTime: stateRef3.current.endTime,
    millisecond: true,
    format: "HH:mm:ss:SS"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='以服务端的时间为准'
  , {
    title: translated.serverTime
  }, /*#__PURE__*/_react.default.createElement(_countdown.default, {
    startTime: stateRef4.current.serverTime,
    endTime: stateRef4.current.endTime
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义展示'
  , {
    title: translated.customStyle
  }, /*#__PURE__*/_react.default.createElement(_countdown.default, {
    endTime: stateRef5.current.endTime,
    onUpdate: onUpdate
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: '#fff',
      fontSize: 14
    }, {
      color: '#000'
    }]
  }, resetTime.d, translated.day), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexShrink: 0,
      borderRadius: 6,
      width: 20,
      height: 25,
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#e8220e'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: '#fff',
      fontSize: 14
    }
  }, resetTime.h)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: '#fff',
      fontSize: 14
    }, {
      color: '#000'
    }]
  }, ":"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexShrink: 0,
      borderRadius: 6,
      width: 20,
      height: 25,
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#e8220e'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: '#fff',
      fontSize: 14
    }
  }, resetTime.m)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: '#fff',
      fontSize: 14
    }, {
      color: '#000'
    }]
  }, ":"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexShrink: 0,
      borderRadius: 6,
      width: 20,
      height: 25,
      justifyContent: 'center',
      alignItems: 'center',
      backgroundColor: '#e8220e'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: '#fff',
      fontSize: 14
    }
  }, resetTime.s))))));
};
var _default = CountdownDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map