"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _dialog = _interopRequireDefault(require("./dialog"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class AlertContainer extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      visible: true
    };
  }

  //   onBackAndroid = () => {
  //       const { onBackHandler } = this.props;
  //       if (typeof onBackHandler === 'function') {
  //           const flag = onBackHandler();
  //           if (flag) {
  //               this.onClose();
  //           }
  //           return flag;
  //       }
  //       if (this.state.visible) {
  //           this.onClose();
  //           return true;
  //       }
  //       return false;
  //   }

  onClose = () => {
    this.setState({
      visible: false
    });
  };
  onOk = () => {
    const {
      closeOnClickOverlay,
      onOk
    } = this.props;
    if (closeOnClickOverlay) {
      this.onClose();
    }
    onOk && onOk();
  };
  onCancel = () => {
    const {
      closeOnClickOverlay,
      onCancel
    } = this.props;
    if (closeOnClickOverlay) {
      this.onClose();
    }
    onCancel && onCancel();
  };
  render() {
    const {
      title,
      content,
      footer,
      okText,
      cancelText,
      mask,
      noOkBtn,
      noCancelBtn,
      okBtnDisabled,
      noFooter,
      closeOnClickOverlay,
      cancelAutoClose,
      textAlign,
      footerDirection,
      lockScroll,
      onClosed,
      onAnimationEnd
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_dialog.default, {
      transparent: true,
      title: title,
      content: content,
      visible: this.state.visible,
      footer: footer,
      onAnimationEnd: onAnimationEnd,
      okText: okText,
      cancelText: cancelText,
      mask: mask,
      noOkBtn: noOkBtn,
      noCancelBtn: noCancelBtn,
      okBtnDisabled: okBtnDisabled,
      noFooter: noFooter,
      closeOnClickOverlay: closeOnClickOverlay,
      cancelAutoClose: cancelAutoClose,
      textAlign: textAlign,
      footerDirection: footerDirection,
      lockScroll: lockScroll,
      onOk: this.onOk,
      onCancel: this.onCancel,
      onClosed: onClosed
      //   onRequestClose={this.onBackAndroid}
      //   bodyStyle={{
      //       marginTop: 8,
      //       alignItems: 'center'
      //   }}
    });
  }
}
exports.default = AlertContainer;
//# sourceMappingURL=alert-container.js.map