"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = alert;
var _react = _interopRequireDefault(require("react"));
var _portal = _interopRequireDefault(require("../portal"));
var _alertContainer = _interopRequireDefault(require("./alert-container"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function alert(_ref) {
  let {
    title,
    content,
    footer,
    okText = '确认',
    cancelText = '取消',
    mask = true,
    noOkBtn = false,
    noCancelBtn = false,
    okBtnDisabled = false,
    noFooter = false,
    closeOnClickOverlay = true,
    // 默认 true
    cancelAutoClose = true,
    // 默认 true
    textAlign = 'center',
    footerDirection = 'horizontal',
    lockScroll = false,
    onOk,
    onCancel,
    onClosed
  } = _ref;
  const key = _portal.default.add( /*#__PURE__*/_react.default.createElement(_alertContainer.default, {
    title: title,
    content: content,
    footer: footer,
    okText: okText,
    cancelText: cancelText,
    mask: mask,
    noOkBtn: noOkBtn,
    noCancelBtn: noCancelBtn,
    okBtnDisabled: okBtnDisabled,
    noFooter: noFooter,
    closeOnClickOverlay: closeOnClickOverlay,
    cancelAutoClose: cancelAutoClose,
    textAlign: textAlign,
    footerDirection: footerDirection,
    lockScroll: lockScroll,
    onOk: onOk,
    onCancel: onCancel,
    onClosed: onClosed,
    onAnimationEnd: visible => {
      if (!visible) {
        _portal.default.remove(key);
      }
    }
  }));
  return key;
}

// export default function alert({
//     title,
//     content,
//     footer,
//     okText = '确认',
//     cancelText = '取消',
//     mask = true,
//     noOkBtn = false,
//     noCancelBtn = false,
//     okBtnDisabled = false,
//     noFooter = false,
//     closeOnClickOverlay = true, // 默认 true
//     cancelAutoClose = true, // 默认 true
//     textAlign = 'center',
//     footerDirection = 'horizontal',
//     lockScroll = false,
//     onOk,
//     onCancel,
//     onClosed
// }: IDialogProps) {
//     const key = Portal.add(
//         <AlertContainer
//             title={title}
//             content={content}
//             footer={footer}
//             okText={okText}
//             cancelText={cancelText}
//             mask={mask}
//             noOkBtn={noOkBtn}
//             noCancelBtn={noCancelBtn}
//             okBtnDisabled={okBtnDisabled}
//             noFooter={noFooter}
//             closeOnClickOverlay={closeOnClickOverlay}
//             cancelAutoClose={cancelAutoClose}
//             textAlign={textAlign}
//             footerDirection={footerDirection}
//             lockScroll={lockScroll}
//             onOk={onOk}
//             onCancel={onCancel}
//             onClosed={onClosed}
//             onAnimationEnd={(visible: boolean) => {
//                 if (!visible) {
//                     Portal.remove(key);
//                 }
//             }}

//         />
//     );
//     return key;
// }
//# sourceMappingURL=alert.js.map