"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FixedNav = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _icon = _interopRequireDefault(require("../icon"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  visible: false,
  //   overlay: false,
  navList: [],
  activeText: '',
  unActiveText: '',
  type: 'right',
  position: {
    top: 'auto',
    bottom: 'auto'
  },
  onSelected: () => {},
  onChange: () => {}
};
const FixedNav = props => {
  const {
    // overlay,
    visible,
    navList,
    activeText,
    unActiveText,
    position,
    onChange,
    onSelected,
    type,
    slotList,
    slotBtn
  } = {
    ...defaultProps,
    ...props
  };
  const {
    locale,
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const fadeAnim = (0, _react.useRef)(new _reactNative.Animated.Value(type === 'left' ? -(0, _pt.default)(375) : (0, _pt.default)(375))).current;
  const [navWidth, setNavWidth] = (0, _react.useState)(375);
  const onSelectCb = (event, item) => {
    onSelected(item, event);
  };
  const onUpdateValue = function () {
    let value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : !visible;
    onChange(value);
  };
  const getNavInfo = e => {
    const {
      width
    } = e.nativeEvent.layout;
    setNavWidth(width);
  };
  (0, _react.useEffect)(() => {
    console.log(fadeAnim);
    _reactNative.Animated.timing(fadeAnim, {
      toValue: visible ? 0 : type === 'left' ? -navWidth : navWidth,
      duration: 200,
      useNativeDriver: true
    }).start();
  }, [fadeAnim, navWidth, visible, type]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.nutFixednav, type === 'left' && styles.nutFixednavLeft, position]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.nutFixednavList
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.nutFixednav__list, {
      transform: [{
        translateX: fadeAnim
      }]
    }, type === 'left' && styles.nutFixednav__listLeft],
    onLayout: getNavInfo
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, slotList || navList.map((item, index) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      activeOpacity: 1,
      style: styles.nutFixednav__listItem,
      onPress: event => onSelectCb(event, item),
      key: item.id || index
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      style: styles.nutFixednav__listImage,
      source: {
        uri: item.icon
      }
    }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.nutFixednav__listText
    }, item.text), item.num && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.nutFixednav__b
    }, item.num));
  })))), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.nutFixednav__btn, type === 'left' && styles.nutFixednav__btnLeft],
    activeOpacity: 1,
    onPress: () => onUpdateValue()
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, slotBtn || /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
    style: {
      transform: [{
        rotate: visible ? '180deg' : '0deg'
      }]
    },
    name: "left",
    color: "#fff"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nutFixednav__btnText
  }, visible ? activeText || locale.fixednav.activeText : unActiveText || locale.fixednav.unActiveText)))));
};
exports.FixedNav = FixedNav;
FixedNav.defaultProps = defaultProps;
FixedNav.displayName = 'NutFixedNav';
//# sourceMappingURL=fixednav.js.map