"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Grid = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  columnNum: 4,
  border: true,
  gutter: 0,
  center: true,
  square: false,
  reverse: false,
  direction: 'vertical',
  iconSize: 28,
  iconColor: ''
};
const Grid = props => {
  const {
    children,
    columnNum,
    border,
    gutter,
    center,
    square,
    reverse,
    direction,
    style,
    iconSize,
    iconColor,
    className,
    ...rest
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const mStyles = (0, _styles.default)(theme);
  const childrenDom = _react.default.Children.toArray(children);
  const pxCheck = value => {
    let getValue = value;
    if (Number.isNaN(Number(value)) || typeof value === 'string') {
      getValue = parseInt(String(value));
    }
    if (!getValue || getValue == '') {
      getValue = 0;
    }
    return getValue;
  };
  const rootStyle = () => {
    let styleSelf = {};
    if (style) {
      styleSelf = style;
    }
    if (gutter) {
      styleSelf.paddingLeft = pxCheck(gutter);
    }
    return styleSelf;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [mStyles.nut_grid_container, rootStyle()]
  }, childrenDom.map((item, idex) => {
    return /*#__PURE__*/_react.default.cloneElement(item, {
      index: idex,
      columnNum,
      center,
      border,
      gutter,
      square,
      reverse,
      direction,
      parentIconSize: iconSize,
      parentIconColor: iconColor
    });
  }));
};
exports.Grid = Grid;
Grid.defaultProps = defaultProps;
Grid.displayName = 'NutGrid';
//# sourceMappingURL=grid.js.map