"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = Icon;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _img = _interopRequireDefault(require("../utils/img"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  name: '',
  // 图标名称或图片链接
  size: '',
  // 图标大小，如 20px 2em 2rem
  color: '#979797',
  // 图标颜色
  onPress: e => {},
  style: {},
  animationName: ''
};
function pxCheck(value) {
  let getValue = value;
  // 表示字符串类型
  if (Number.isNaN(Number(value)) || typeof value === 'string') {
    getValue = parseInt(String(value));
  }
  //  如果没有值就是20
  if (!getValue || getValue == '') {
    getValue = 20;
  }
  // 返回
  return getValue;
}
function Icon(props) {
  const {
    name,
    size,
    color,
    children,
    animationName,
    style,
    onPress,
    ...rest
  } = {
    ...defaultProps,
    ...props
  };

  // 判断图片是否是远程地址
  const isImage = name ? name.indexOf('/') !== -1 : false;
  let deg = new _reactNative.Animated.Value(0);
  // 点击的回调函数
  const handleClick = e => {
    if (onPress) {
      onPress(e);
    }
  };

  // 旋转动画
  if (animationName.indexOf('am-rotate') != -1 || name == 'loading' || name == 'loading1') {
    _reactNative.Animated.loop(_reactNative.Animated.timing(deg, {
      toValue: 360,
      duration: 800,
      easing: _reactNative.Easing.linear,
      useNativeDriver: true
    })).start();
  }
  if (isImage) {
    return (
      /*#__PURE__*/
      // <TouchableHighlight
      //     onPress={handleClick}
      // >
      _react.default.createElement(_reactNative.Image, {
        style: {
          width: pxCheck(size),
          height: pxCheck(size),
          ...(0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))
        },
        source: {
          uri: name
        }
      })
      // </TouchableHighlight>
    );
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    // className={
    //   isImage
    //     ? `${b('img')} ${className || ''} `
    //     : `${fontClassName} ${b(null)} ${classPrefix}-${name} ${
    //         className || ''
    //       }`
    // }
    style: [{
      transform: [{
        rotate: deg.interpolate({
          inputRange: [0, 360],
          outputRange: ['0deg', '360deg']
        })
      }],
      width: pxCheck(size),
      height: pxCheck(size)
    }, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: {
      uri: (0, _img.default)(`${name}`)
    },
    style: {
      width: pxCheck(size),
      height: pxCheck(size),
      tintColor: color
    },
    resizeMode: 'contain'
  }));
}
Icon.defaultProps = defaultProps;
Icon.displayName = 'NutIcon';
const styles = _reactNative.StyleSheet.create({});
//# sourceMappingURL=icon.js.map