"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _indicator = require("./indicator");
var _cell = _interopRequireDefault(require("../cell"));
var _row = _interopRequireDefault(require("../row"));
var _button = _interopRequireDefault(require("../button"));
var _utils = require("../utils");
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const IndicatorDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      ce5c5446: '基础用法',
      c38a08ef: '主要按钮',
      b840c88f: 'block用法',
      a74a1fd4: '不补0',
      c123sda1: '竖向展示'
    },
    'zh-TW': {
      ce5c5446: '基礎用法',
      c38a08ef: '主要按鈕',
      b840c88f: 'block用法',
      a74a1fd4: '不補0',
      c123sda1: '豎向展示'
    },
    'en-US': {
      ce5c5446: 'Basic usage',
      c38a08ef: 'Button',
      b840c88f: 'Block usage',
      a74a1fd4: "Not Add '0'",
      c123sda1: 'Vertical display'
    }
  });
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.ce5c5446,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    size: 3,
    current: 3
  })), /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_row.default, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_button.default, {
    size: "small",
    type: "primary"
  }, translated.c38a08ef)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    block: true,
    align: "right",
    size: 6,
    current: 5
  }))))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.b840c88f,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    block: true,
    align: "center",
    size: 6,
    current: 5
  })), /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    block: true,
    align: "left",
    size: 6,
    current: 1
  })), /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    block: true,
    align: "right",
    size: 6,
    current: 5
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.a74a1fd4
  }, /*#__PURE__*/_react.default.createElement(_cell.default, null, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    fillZero: false,
    size: 6,
    current: 5
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.c123sda1
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1,
      flexDirection: 'row'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.vertical_cell
  }, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    fillZero: false,
    size: 6,
    current: 5,
    vertical: true
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.vertical_cell
  }, /*#__PURE__*/_react.default.createElement(_indicator.Indicator, {
    size: 6,
    current: 2,
    vertical: true
  })))));
};
const styles = _reactNative.StyleSheet.create({
  vertical_cell: {
    height: 100,
    width: '50%',
    alignItems: 'center',
    justifyContent: 'center',
    overflow: 'hidden'
  }
});
var _default = IndicatorDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map