"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoticeBar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _filterTextStyle = _interopRequireDefault(require("../utils/filter-text-style"));
var _carousel = _interopRequireDefault(require("./carousel"));
var _reactNative = require("react-native");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
var _icon = _interopRequireDefault(require("../icon"));
var _marquee = _interopRequireDefault(require("./marquee"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  // 滚动方向  across 横向 vertical 纵向
  direction: 'across',
  list: [],
  // 纵向滚动数据列表
  standTime: 1000,
  complexAm: false,
  height: 40,
  text: '',
  closeMode: false,
  wrapable: false,
  leftIcon: '',
  color: '',
  backgroundColor: '',
  delay: 1,
  scrollable: true,
  speed: 50
};
const NoticeBar = props => {
  const {
    children,
    style,
    direction,
    list,
    standTime,
    complexAm,
    height,
    text,
    closeMode,
    wrapable,
    leftIcon,
    color,
    backgroundColor,
    delay,
    scrollable,
    speed,
    rightIcon,
    onClose,
    onClick
  } = {
    ...defaultProps,
    ...props
  };
  const [showNoticeBar, SetShowNoticeBar] = (0, _react.useState)(true);
  const [noticeBarWidth, setNoticeBarWidth] = (0, _react.useState)(0);
  const scrollList = (0, _react.useRef)([]);
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const handleClick = event => {
    onClick && onClick(event);
  };
  const onIconClick = event => {
    SetShowNoticeBar(!closeMode);
    onClose && onClose(event);
    onClick && onClick(event);
  };

  /**
   * 点击滚动单元
   */
  const go = item => {
    onClick && onClick(item);
  };
  const iconShow = () => {
    if (leftIcon === 'close') {
      return false;
    }
    return true;
  };
  const getMaxWidth = () => {
    if (typeof children === 'string') {
      return (children.length + 160) * 6;
    }
    if (children) {
      return children;
    }
    return (text.length + 160) * 6;
  };
  const textStyle = [styles.marquee, (0, _filterTextStyle.default)((0, _styleToObj.default)(style || {})), color ? {
    color
  } : {}];
  const renderText = () => {
    if (wrapable) {
      return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: textStyle
      }, children || text);
    }
    return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      numberOfLines: 1,
      ellipsizeMode: "tail",
      style: textStyle
    }, children || text);
  };
  if (!showNoticeBar) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, null);
  }
  const acrossStyle = [styles.acrossContainer, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {})), backgroundColor ? {
    backgroundColor
  } : {}];
  const renderAcross = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: acrossStyle
    }, iconShow() ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconContainer
    }, /*#__PURE__*/_react.default.createElement(_icon.default, {
      name: leftIcon || 'notice',
      color: theme['$noticebar-color'] || '#d9500b',
      size: theme['$noticebar-left-icon-width'] || 16
    })) : null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.contentC
    }, scrollable ? /*#__PURE__*/_react.default.createElement(_marquee.default, {
      style: styles.marquee,
      text: children || text,
      speed: speed,
      delay: delay,
      wrapable: wrapable,
      maxWidth: wrapable ? 350 : getMaxWidth()
    }) : renderText()), closeMode || rightIcon ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
      underlayColor: null,
      activeOpacity: 1,
      onPress: onIconClick
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.rIconContainer
    }, /*#__PURE__*/_react.default.createElement(_icon.default, {
      name: rightIcon || 'close',
      size: theme['$noticebar-right-icon-width'] || 16,
      color: color || theme['$noticebar-color'] || '#d9500b'
    }))) : null);
  };
  const cloneChild = (listItem, listIndex) => {
    return _react.default.Children.map(children, function (child, index) {
      if (child && index === listIndex) {
        return /*#__PURE__*/_react.default.cloneElement(child, {
          key: listIndex,
          children: listItem
        });
      }
      return null;
    });
  };
  const getChilden = () => {
    const arr = [];
    _react.default.Children.map(children, child => {
      arr.push(child.props.children);
    });
    return arr;
  };
  const renderVertical = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: acrossStyle,
      onLayout: e => {
        let width = e.nativeEvent && e.nativeEvent.layout && e.nativeEvent.layout.width;
        setNoticeBarWidth(width || 0);
      }
    }, children ? /*#__PURE__*/_react.default.createElement(_carousel.default, {
      style: [styles.horseLampList, {
        width: noticeBarWidth - 60,
        height
      }],
      selectedIndex: 1,
      autoplay: true,
      infinite: true,
      autoplayInterval: standTime,
      vertical: true
    }, getChilden().map((item, index) => {
      return cloneChild(item, index);
    })) : /*#__PURE__*/_react.default.createElement(_carousel.default, {
      style: [styles.horseLampList, {
        width: noticeBarWidth - 60,
        height
      }],
      selectedIndex: 1,
      autoplay: true,
      infinite: true,
      autoplayInterval: standTime,
      vertical: true
    }, list.map((item, index) => {
      return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
        key: index,
        style: {
          height,
          justifyContent: 'center'
        },
        underlayColor: null,
        activeOpacity: 1,
        onPress: () => {
          go(item);
        }
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: textStyle
      }, item));
    })), rightIcon || (closeMode ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
      underlayColor: null,
      activeOpacity: 1,
      style: styles.rIconContainer,
      onPress: onIconClick
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
      name: "close",
      size: 11,
      color: color || '#d9500b'
    }))) : null));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, direction === 'across' ? renderAcross() : null, (list.length || children) && direction === 'vertical' ? renderVertical() : null);
};
exports.NoticeBar = NoticeBar;
NoticeBar.defaultProps = defaultProps;
NoticeBar.displayName = 'NutNoticeBar';
//# sourceMappingURL=noticebar.js.map