"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _notify = _interopRequireDefault(require("./notify"));
var _cell = _interopRequireDefault(require("../cell"));
var _cellgroup = _interopRequireDefault(require("../cellgroup"));
var _utils = require("../utils");
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const NotifyDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基本用法',
      t1: '通知类型',
      t2: '自定义样式',
      t3: '自定义时长',
      cusPostion: '自定义位置',
      useTemplate: '组件调用',
      primaryNotify: '主要通知',
      successNotify: '成功通知',
      errorNotify: '危险通知',
      warningNotify: '警告通知',
      cusBgNotify: '自定义背景色和字体颜色'
    },
    'en-US': {
      basic: 'Basic Usage',
      t1: 'Notify Type',
      t2: 'Custom Style',
      t3: 'Custom Duration',
      cusPostion: 'Custom Postion',
      useTemplate: 'Template use',
      primaryNotify: 'Primary Notify',
      successNotify: 'Success Notify',
      errorNotify: 'Error Notify',
      warningNotify: 'Warning Notify',
      cusBgNotify: 'Customize background and font colors'
    }
  });
  const baseNotify = msg => {
    _notify.default.text(msg, {
      onClosed: () => {
        console.log('close');
      },
      onClick: () => {
        console.log('click');
      }
    });
  };
  const primaryNotify = msg => {
    _notify.default.primary(msg);
  };
  const successNotify = msg => {
    _notify.default.success(msg);
  };
  const errorNotify = msg => {
    _notify.default.danger(msg);
  };
  const warningNotify = msg => {
    _notify.default.warn(msg);
  };
  const cusBgNotify = msg => {
    _notify.default.text(msg, {
      color: '#ad0000',
      background: '#ffe1e1',
      className: 'aa'
    });
  };
  const timeNotify = msg => {
    _notify.default.text(msg, {
      duration: 100000
    });
  };
  const positionNotify = msg => {
    _notify.default.text(msg, {
      position: 'bottom'
    });
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.basic,
    onClick: event => {
      baseNotify(translated.basic);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.t1
  }, /*#__PURE__*/_react.default.createElement(_cellgroup.default, null, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.primaryNotify,
    onClick: event => {
      primaryNotify(translated.primaryNotify);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.successNotify,
    onClick: event => {
      successNotify(translated.successNotify);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.errorNotify,
    onClick: event => {
      errorNotify(translated.errorNotify);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.warningNotify,
    onClick: event => {
      warningNotify(translated.warningNotify);
    }
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.t2
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.cusBgNotify,
    onClick: event => {
      cusBgNotify(translated.cusBgNotify);
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.t3,
    flexDirection: "column"
  }, /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.t3,
    onClick: event => {
      timeNotify(translated.t3);
    }
  }), /*#__PURE__*/_react.default.createElement(_cell.default, {
    title: translated.cusPostion,
    onClick: event => {
      positionNotify(translated.cusPostion);
    }
  })));
};
var _default = NotifyDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map