"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class PortalConsumer extends _react.default.Component {
  componentDidMount() {
    if (!this.props.manager) {
      throw new Error('Looks like you forgot to wrap your root component with `Provider` component from `@nutui/rn`.\n\n');
    }
    this._key = this.props.manager.mount(this.props.children);
  }
  componentDidUpdate() {
    this.props.manager.update(this._key, this.props.children);
  }
  componentWillUnmount() {
    this.props.manager.unmount(this._key);
  }
  render() {
    return null;
  }
}
exports.default = PortalConsumer;
//# sourceMappingURL=portal-consumer.js.map