"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _radio = _interopRequireDefault(require("../radio"));
var _demo = require("../configprovider/styles/demo.page");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const RadioDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      '74fc5d8a': '基本用法',
      bb7486f4: '选项',
      c1bae1ec: '水平使用',
      '8a2e2847': '自定义尺寸',
      '70ffa5d8': '自定义图标',
      '0f261484': '触发事件',
      '6b1f669d': '当前选中值'
    },
    'zh-TW': {
      '74fc5d8a': '基本用法',
      bb7486f4: '選項',
      c1bae1ec: '水準使用',
      '8a2e2847': '自定義尺寸',
      '70ffa5d8': '自定義圖示',
      '0f261484': '觸發事件',
      '6b1f669d': '當前選中值'
    },
    'en-US': {
      '74fc5d8a': 'Basic Usage',
      bb7486f4: 'Options',
      c1bae1ec: 'Horizontal use',
      '8a2e2847': 'Custom size',
      '70ffa5d8': 'Custom Icon',
      '0f261484': 'Trigger Event',
      '6b1f669d': 'Currently selected'
    }
  });
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='基本用法'
  , {
    title: translated['74fc5d8a'],
    style: {
      marginBottom: 0
    }
  }, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1",
    textPosition: "left"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, null, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    shape: "button",
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    disabled: true,
    shape: "button",
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    shape: "button",
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='水平使用'
  , {
    title: translated.c1bae1ec
  }, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1",
    direction: "horizontal"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "3"
  }, `${translated.bb7486f4}3`)), /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1",
    textPosition: "left",
    direction: "horizontal"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    disabled: true,
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "3"
  }, `${translated.bb7486f4}3`)), /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1",
    direction: "horizontal"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    shape: "button",
    value: "1"
  }, `${translated.bb7486f4}1`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    disabled: true,
    shape: "button",
    value: "2"
  }, `${translated.bb7486f4}2`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    shape: "button",
    value: "3"
  }, `${translated.bb7486f4}3`))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义尺寸'
  , {
    title: translated['8a2e2847']
  }, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1",
    iconSize: "12"
  }, `${translated['8a2e2847']}12`), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "2",
    iconSize: "12"
  }, `${translated['8a2e2847']}12`))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='自定义图标'
  , {
    title: translated['70ffa5d8']
  }, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1"
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1",
    iconName: "checklist",
    iconActiveName: "checklist"
  }, translated['70ffa5d8']), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "2",
    iconName: "checklist",
    iconActiveName: "checklist"
  }, translated['70ffa5d8']))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard
  // title='触发 change 事件'
  , {
    title: translated['0f261484']
  }, /*#__PURE__*/_react.default.createElement(_radio.default.RadioGroup, {
    value: "1",
    onChange: v => {
      alert(v);
    }
  }, /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "1"
  }, translated['0f261484']), /*#__PURE__*/_react.default.createElement(_radio.default, {
    value: "2"
  }, translated['0f261484']))));
};
var _default = RadioDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map