"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RadioGroup = void 0;
var _react = _interopRequireWildcard(require("react"));
var _context = _interopRequireDefault(require("../radio/context"));
var _reactNative = require("react-native");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const defaultProps = {
  value: null,
  // 当前选中项的标识符，与label值一致时呈选中状态
  textPosition: 'right',
  // 文本所在的位置，可选值：left,right 默认 right
  onChange: value => {},
  direction: 'vertical' // direction
};

const RadioGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children
  } = {
    ...defaultProps,
    ...props
  };
  const styles = (0, _styles.default)();
  const {
    value,
    onChange,
    textPosition,
    direction,
    ...rest
  } = props;
  const [val2State, setVal2State] = (0, _react.useState)(value);
  (0, _react.useEffect)(() => {
    setVal2State(value);
  }, [value]);
  function validateChildChecked(child) {
    if (val2State === null) return false;
    return val2State === child.props.value;
  }
  function cloneChildren() {
    return _react.default.Children.map(children, (child, index) => {
      const childChecked = validateChildChecked(child);
      if (child.type.displayName !== 'NutRadio') {
        return /*#__PURE__*/_react.default.cloneElement(child);
      }
      return /*#__PURE__*/_react.default.cloneElement(child, {
        textPosition,
        checked: childChecked
      });
    });
  }
  const wrapStyle = [styles[`direction${direction}`]];
  return /*#__PURE__*/_react.default.createElement(_context.default.Provider, {
    value: {
      onChange: val => {
        setVal2State(val);
        onChange && onChange(val);
      }
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: wrapStyle
  }, rest), cloneChildren()));
});
exports.RadioGroup = RadioGroup;
RadioGroup.defaultProps = defaultProps;
RadioGroup.displayName = 'NutRadioGroup';
//# sourceMappingURL=radiogroup.js.map