"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Step = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _UserContext = require("../steps/UserContext");
var _index = _interopRequireDefault(require("../icon/index"));
var _typings = require("../utils/typings");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const defaultProps = {
  ..._typings.ComponentDefaults,
  title: '',
  content: '',
  activeIndex: 0,
  icon: '',
  iconColor: '',
  size: '12px',
  isStart: false,
  isEnd: false
};
const Step = props => {
  const {
    children,
    title,
    content,
    activeIndex,
    icon,
    iconColor,
    size,
    className,
    renderContent,
    iconClassPrefix,
    iconFontClassName,
    isStart,
    isEnd,
    ...restProps
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const mStyles = (0, _styles.default)(theme);
  const parent = (0, _react.useContext)(_UserContext.DataContext);
  const [itemWidth, setItemWidth] = (0, _react.useState)(0);
  const dot = parent.propSteps.progressDot;
  const getCurrentStatus = () => {
    const index = activeIndex;
    if (index < +parent.propSteps.current) return 'finish';
    return index === +parent.propSteps.current ? 'process' : 'wait';
  };
  const handleClickStep = () => {
    var _parent$propSteps, _parent$propSteps2, _parent$propSteps3, _parent$propSteps4;
    ((_parent$propSteps = parent.propSteps) === null || _parent$propSteps === void 0 ? void 0 : _parent$propSteps.onClickStep) && ((_parent$propSteps2 = parent.propSteps) === null || _parent$propSteps2 === void 0 ? void 0 : _parent$propSteps2.onClickStep(activeIndex));
    ((_parent$propSteps3 = parent.propSteps) === null || _parent$propSteps3 === void 0 ? void 0 : _parent$propSteps3.clickStep) && ((_parent$propSteps4 = parent.propSteps) === null || _parent$propSteps4 === void 0 ? void 0 : _parent$propSteps4.clickStep(activeIndex));
  };
  const renderIconClass = () => {
    if (!dot && icon) {
      return 'nut-step-icon is-icon';
    }
    if (!dot && !icon) {
      return 'nut-step-icon is-text';
    }
    return 'nut-step-icon';
  };
  const getDotStyle = () => {
    let style;
    switch (getCurrentStatus()) {
      case 'finish':
        style = {
          backgroundColor: '#fff',
          borderWidth: 0.5,
          borderColor: '#ff2f2c'
        };
        break;
      case 'process':
        style = {
          backgroundColor: '#ff2f2c'
        };
        break;
      case 'wait':
        style = {
          backgroundColor: '#959fb1'
        };
        break;
      default:
        style = {};
        break;
    }
    return style;
  };
  const getDotTxStyle = () => {
    let style;
    switch (getCurrentStatus()) {
      case 'finish':
        style = {
          color: '#ff2f2c'
        };
        break;
      case 'process':
        style = {
          color: '#fff'
        };
        break;
      case 'wait':
        style = {
          color: 'rgba(0,0,0,0)'
        };
        break;
      default:
        style = {};
        break;
    }
    return style;
  };
  const getLeftLineStyle = () => {
    let style;
    switch (getCurrentStatus()) {
      case 'finish':
        if (isStart) {
          style = {
            backgroundColor: 'rgba(0,0,0,0)'
          };
        } else {
          style = {
            backgroundColor: '#ff2f2c'
          };
        }
        break;
      case 'process':
        if (isStart) {
          style = {
            backgroundColor: 'rgba(0,0,0,0)'
          };
        } else {
          style = {
            backgroundColor: '#ff2f2c'
          };
        }
        break;
      case 'wait':
        if (isStart) {
          style = {
            backgroundColor: 'rgba(0,0,0,0)'
          };
        } else {
          style = {
            backgroundColor: '#959fb1'
          };
        }
        break;
      default:
        style = {};
        break;
    }
    return style;
  };
  const getRightLineStyle = () => {
    let style;
    switch (getCurrentStatus()) {
      case 'finish':
        if (isEnd) {
          style = {
            backgroundColor: 'rgba(0,0,0,0)'
          };
        } else {
          style = {
            backgroundColor: '#ff2f2c'
          };
        }
        break;
      case 'process':
        if (isEnd) {
          style = {
            backgroundColor: 'rgba(0,0,0,0)'
          };
        } else {
          style = {
            backgroundColor: '#959fb1'
          };
        }
        break;
      case 'wait':
        if (isEnd) {
          style = {
            backgroundColor: 'rgba(0,0,0,0)'
          };
        } else {
          style = {
            backgroundColor: '#959fb1'
          };
        }
        break;
      default:
        style = {};
        break;
    }
    return style;
  };
  const getTitleTxStyle = () => {
    let style;
    switch (getCurrentStatus()) {
      case 'finish':
      case 'process':
        style = {
          color: '#ff2f2c'
        };
        break;
      case 'wait':
        style = {
          color: '#959fb1'
        };
        break;
      default:
        style = {};
        break;
    }
    return style;
  };
  const getContentTxStyle = () => {
    let style;
    switch (getCurrentStatus()) {
      case 'finish':
      case 'process':
        style = {
          color: '#000'
        };
        break;
      case 'wait':
        style = {
          color: '#959fb1'
        };
        break;
      default:
        style = {};
        break;
    }
    return style;
  };
  const getDotView = () => {
    let dotView;
    switch (getCurrentStatus()) {
      case 'finish':
        dotView = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: {
            height: (0, _pt.default)(20),
            width: (0, _pt.default)(20),
            borderRadius: (0, _pt.default)(10),
            marginVertical: parent.propSteps.direction === 'horizontal' ? (0, _pt.default)(20) : 0,
            marginHorizontal: parent.propSteps.direction === 'horizontal' ? 0 : (0, _pt.default)(20),
            backgroundColor: '#ff2f2c'
          }
        });
        break;
      case 'process':
        dotView = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: {
            height: (0, _pt.default)(40),
            width: (0, _pt.default)(40),
            borderRadius: (0, _pt.default)(20),
            marginVertical: parent.propSteps.direction === 'horizontal' ? (0, _pt.default)(10) : 0,
            marginHorizontal: parent.propSteps.direction === 'horizontal' ? 0 : (0, _pt.default)(10),
            backgroundColor: 'rgba(255,47,44,0.3)',
            alignItems: 'center',
            justifyContent: 'center'
          }
        }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: {
            height: (0, _pt.default)(20),
            width: (0, _pt.default)(20),
            borderRadius: (0, _pt.default)(10),
            backgroundColor: '#ff2f2c'
          }
        }));
        break;
      case 'wait':
        dotView = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
          style: {
            height: (0, _pt.default)(20),
            width: (0, _pt.default)(20),
            borderRadius: (0, _pt.default)(10),
            marginVertical: parent.propSteps.direction === 'horizontal' ? (0, _pt.default)(20) : 0,
            marginHorizontal: parent.propSteps.direction === 'horizontal' ? 0 : (0, _pt.default)(20),
            backgroundColor: '#959fb1'
          }
        });
        break;
      default:
        dotView = null;
        break;
    }
    return dotView;
  };
  if (parent.propSteps.direction === 'horizontal') {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
      style: {
        flex: 1
      },
      onLayout: e => {
        const contentWidth = e.nativeEvent.layout.width;
        if (itemWidth === 0) {
          setItemWidth(contentWidth);
        }
      }
    }, restProps, {
      onClick: handleClickStep
    }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: mStyles.nut_step_center
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        width: itemWidth,
        ...mStyles.nut_step_h_left
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [mStyles.nut_step_line, getLeftLineStyle()]
    }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [mStyles.nut_step_line, getRightLineStyle()]
    })), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, icon ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [mStyles.nut_step_h_dot, getDotStyle()]
    }, /*#__PURE__*/_react.default.createElement(_index.default, {
      classPrefix: iconClassPrefix,
      fontClassName: iconFontClassName,
      className: "nut-step-icon-inner",
      color: iconColor,
      name: icon,
      size: size
    })) : !dot ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [mStyles.nut_step_h_dot, getDotStyle()]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [mStyles.nut_step_text_size, getDotTxStyle()]
    }, activeIndex)) : getDotView())), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: mStyles.nut_step_h_content
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [mStyles.nut_step_text_size, getTitleTxStyle()]
    }, title), content ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [{
        fontSize: (0, _pt.default)(30),
        marginTop: (0, _pt.default)(20)
      }, getContentTxStyle()]
    }, content) : null, renderContent && renderContent()));
  } else {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
      style: mStyles.nut_step_v_container
    }, restProps, {
      onClick: handleClickStep
    }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        alignItems: 'center'
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, icon ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [mStyles.nut_step_h_dot, getDotStyle()]
    }, /*#__PURE__*/_react.default.createElement(_index.default, {
      classPrefix: iconClassPrefix,
      fontClassName: iconFontClassName,
      className: "nut-step-icon-inner",
      color: iconColor,
      name: icon,
      size: size
    })) : !dot ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [mStyles.nut_step_h_dot, getDotStyle()]
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [mStyles.nut_step_text_size, getDotTxStyle()]
    }, activeIndex)) : getDotView()), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [{
        flex: 1,
        width: (0, _pt.default)(2)
      }, getRightLineStyle()]
    })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        paddingTop: dot ? 0 : (0, _pt.default)(10),
        paddingHorizontal: (0, _pt.default)(40)
      }
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [mStyles.nut_step_text_size, getTitleTxStyle()]
    }, title), content ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [mStyles.nut_step_v_text, getContentTxStyle()]
    }, content) : null, renderContent && renderContent()));
  }
};
exports.Step = Step;
Step.defaultProps = defaultProps;
Step.displayName = 'NutStep';
//# sourceMappingURL=step.js.map