"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Steps = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _UserContext = require("./UserContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  current: 0,
  direction: 'horizontal',
  progressDot: false
};
const Steps = props => {
  const propSteps = {
    ...defaultProps,
    ...props
  };
  const {
    children,
    current,
    direction,
    className,
    progressDot,
    clickStep,
    onClickStep,
    ...restProps
  } = propSteps;
  const parentSteps = {
    propSteps
  };
  return /*#__PURE__*/_react.default.createElement(_UserContext.DataContext.Provider, {
    value: parentSteps
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1,
      width: '100%',
      flexDirection: direction == 'horizontal' ? 'row' : 'column'
    }
  }, children));
};
exports.Steps = Steps;
Steps.defaultProps = defaultProps;
Steps.displayName = 'NutSteps';
//# sourceMappingURL=steps.js.map