"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SwiperItem = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _userContext = require("../swiper/userContext");
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  direction: 'horizontal'
};
const SwiperItem = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const _props = {
    ...defaultProps,
    ...props
  };
  const {
    style,
    children,
    direction,
    size
  } = _props;
  const parent = (0, _react.useContext)(_userContext.DataContext);
  const styles = (0, _styles.default)();
  const getStyle = () => {
    const style = {};
    const _direction = (parent === null || parent === void 0 ? void 0 : parent.propSwiper.direction) || direction;
    const _size = (parent === null || parent === void 0 ? void 0 : parent.size) || size;
    if (_size) {
      style[_direction === 'horizontal' ? 'width' : 'height'] = _size;
    }
    return style;
  };
  const wrapStyle = [styles.item, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style)), getStyle()];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, children);
});
exports.SwiperItem = SwiperItem;
SwiperItem.defaultProps = defaultProps;
SwiperItem.displayName = 'NutSwiperItem';
//# sourceMappingURL=swiperitem.js.map