"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tabbar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  visible: 0,
  bottom: false,
  size: 20,
  unactiveColor: '',
  activeColor: '',
  safeAreaInsetBottom: false,
  className: '',
  style: {},
  tabSwitch: () => {},
  onSwitch: () => {}
};
const Tabbar = props => {
  const {
    children,
    visible,
    bottom,
    size,
    activeColor,
    unactiveColor,
    safeAreaInsetBottom,
    style,
    tabSwitch,
    onSwitch
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const [selectIndex, setSelectIndex] = (0, _react.useState)(visible);
  const handleClick = idx => {
    setSelectIndex(idx);
  };
  const wrapStyle = [styles.container, bottom ? styles.bottom : {}, safeAreaInsetBottom ? styles.safeAreaInsetBottom : {}, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapStyle
  }, _react.default.Children.map(children, (child, idx) => {
    if (! /*#__PURE__*/_react.default.isValidElement(child)) {
      return null;
    }
    const childProps = {
      ...child.props,
      active: idx === selectIndex,
      index: idx,
      unactiveColor,
      activeColor,
      size,
      handleClick: () => {
        handleClick(idx);
        tabSwitch(child, idx);
        onSwitch(child, idx);
      }
    };
    return /*#__PURE__*/_react.default.cloneElement(child, childProps);
  }));
};
exports.Tabbar = Tabbar;
Tabbar.defaultProps = defaultProps;
Tabbar.displayName = 'NutTabbar';
//# sourceMappingURL=tabbar.js.map