"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabbarItem = void 0;
var _react = _interopRequireWildcard(require("react"));
var _icon = _interopRequireDefault(require("../icon"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _reactNative = require("react-native");
var _px = _interopRequireDefault(require("../utils/px"));
var _pt = _interopRequireDefault(require("../utils/pt"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  dot: false,
  size: '',
  tabTitle: '',
  icon: '',
  onhref: () => {},
  num: '',
  active: false,
  activeColor: '',
  unactiveColor: '',
  index: 0,
  handleClick: idx => {}
};
const TabbarItem = props => {
  const {
    dot,
    size,
    style,
    tabTitle,
    icon,
    onhref,
    num,
    active,
    activeColor,
    unactiveColor,
    index,
    handleClick
  } = {
    ...defaultProps,
    ...props
  };
  (0, _react.useEffect)(() => {
    if (active && onhref) {
      // window.location.href = href
      onhref();
    }
  }, [active, onhref]);
  const wrapStyle = [styles.container, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {}))];
  const aColor = activeColor || styles.active.color;
  const unaColor = unactiveColor || styles.default.color;
  const tabTitleStyle = [{
    color: active ? aColor : unaColor
  }, styles.navWord, !icon ? styles.bigWord : {}];
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
    activeOpacity: 1,
    style: wrapStyle,
    underlayColor: null,
    onPress: () => {
      handleClick(index);
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.bIcon
  }, !dot ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, num && num <= 99 ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.tips
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.num
  }, num)) : null, num && num >= 100 ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.tips
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.num
  }, "99+")) : null) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.dot
  }), icon ? /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_icon.default, {
    size: size,
    color: active ? aColor : unaColor,
    name: icon
  })) : null, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: tabTitleStyle
  }, tabTitle)))));
};
exports.TabbarItem = TabbarItem;
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  },
  bIcon: {
    position: 'relative',
    padding: 0,
    flexDirection: 'column',
    alignItems: 'center'
  },
  tips: {
    position: 'absolute',
    backgroundColor: '#fa2c19',
    borderWidth: (0, _px.default)(1),
    borderColor: '#fff',
    borderRadius: (0, _pt.default)(14),
    textAlign: 'center',
    top: -(0, _pt.default)(4),
    right: -(0, _pt.default)(16),
    zIndex: 1
  },
  num: {
    color: '#fff',
    fontSize: (0, _pt.default)(20),
    paddingTop: (0, _pt.default)(1),
    paddingRight: (0, _pt.default)(2),
    paddingBottom: (0, _pt.default)(2),
    paddingLeft: (0, _pt.default)(6)
  },
  active: {
    color: '#fa2c19'
  },
  default: {
    color: '#1a1a1a'
  },
  navWord: {
    fontSize: (0, _pt.default)(20)
  },
  bigWord: {
    fontSize: (0, _pt.default)(32)
  },
  dot: {
    position: 'absolute',
    width: (0, _pt.default)(14),
    height: (0, _pt.default)(14),
    borderRadius: (0, _pt.default)(7),
    padding: 0,
    backgroundColor: '#fa2c19',
    top: -2,
    right: -5
  }
});
//# sourceMappingURL=tabbaritem.js.map