"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _color = require("../utils/color");
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var LinearGradient = _interopRequireWildcard(require("react-native-linear-gradient"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } /**
                                                                                                                                                                                                                                                                                                                                                     * @component LinearGradient
                                                                                                                                                                                                                                                                                                                                                     * @属性
                                                                                                                                                                                                                                                                                                                                                     *     就是渐变开始的位置，x、y 范围是 0 - 1 ，
                                                                                                                                                                                                                                                                                                                                                     *     start: { x: number, y: number }
                                                                                                                                                                                                                                                                                                                                                     *     渐变结束的位置
                                                                                                                                                                                                                                                                                                                                                     *     end: {x: number, y: number}
                                                                                                                                                                                                                                                                                                                                                     *     每种渐变颜色的范围
                                                                                                                                                                                                                                                                                                                                                     *     locations: []
                                                                                                                                                                                                                                                                                                                                                     *     colors: []
                                                                                                                                                                                                                                                                                                                                                     *     useAngle: 是否使用角度
                                                                                                                                                                                                                                                                                                                                                     *     angle: 角度
                                                                                                                                                                                                                                                                                                                                                     *     angleCenter： 角度中心
                                                                                                                                                                                                                                                                                                                                                     *
                                                                                                                                                                                                                                                                                                                                                     *
                                                                                                                                                                                                                                                                                                                                                     * @example
                                                                                                                                                                                                                                                                                                                                                           start: { x: 0.3, y: 0.4 } 渐变是从 左侧30%， 上部 40% 开始
                                                                                                                                                                                                                                                                                                                                                           end: { x: 0.7, y: 0.8 } 渐变是从 左侧70%， 上部 80% 结束
                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                           以下配置可实现从左到右渐变。
                                                                                                                                                                                                                                                                                                                                                           start={{x: 0, y: 0}}
                                                                                                                                                                                                                                                                                                                                                           end={{x: 1, y: 0}}
                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                           如果想指定每种渐变颜色的范围，比如红色占20%， 绿色占70%，黑色占10%，
                                                                                                                                                                                                                                                                                                                                                           locations={[0.2,0.7,1.0]}
                                                                                                                                                                                                                                                                                                                                                           colors={['red', 'green', 'black']}
                                                                                                                                                                                                                                                                                                                                                           red 范围就是 0.0 - 0.2；
                                                                                                                                                                                                                                                                                                                                                           green 范围就是 0.2 - 0.7；
                                                                                                                                                                                                                                                                                                                                                           black 范围就是 0.7 - 1.0；
                                                                                                                                                                                                                                                                                                                                                     *
                                                                                                                                                                                                                                                                                                                                                     */ /**
                                                                                                                                                                                                                                                                                                                                                         * https://developer.mozilla.org/zh-CN/docs/Web/CSS/gradient/linear-gradient
                                                                                                                                                                                                                                                                                                                                                         * css 函数用于创建一个表示两种或多种颜色线性渐变的图片
                                                                                                                                                                                                                                                                                                                                                         * @web
                                                                                                                                                                                                                                                                                                                                                         * linear-gradient(135deg, rgba(250,44,25,1) 0%,rgba(250,63,25,1) 44.59259259%,rgba(250,89,25,1) 83.40740741%,rgba(250,100,25,1) 100%);
                                                                                                                                                                                                                                                                                                                                                         * background: linear-gradient(315deg, rgba(73,143,242,1) 0%,rgba(73,101,242,1) 100%);
                                                                                                                                                                                                                                                                                                                                                         */ /**
                                                                                                                                                                                                                                                                                                                                                             * 　当为90deg时，渐变线的方向相当于to right，从左指向右
                                                                                                                                                                                                                                                                                                                                                             *  background: linear-gradient(to right, red , yellow);
                                                                                                                                                                                                                                                                                                                                                             *  相等
                                                                                                                                                                                                                                                                                                                                                             *  background: linear-gradient(90deg, red 0%, yellow 100%);
                                                                                                                                                                                                                                                                                                                                                             *
                                                                                                                                                                                                                                                                                                                                                             *
                                                                                                                                                                                                                                                                                                                                                             */
// 位置坐标

const bgStyle = props => {
  let {
    useAngle,
    angle,
    locations,
    colors
  } = props;
  let tAngle;
  let tColorAndLoc = [];
  if (useAngle && angle) {
    tAngle = `${angle}deg`;
  }
  if (locations && colors) {
    for (let i = 0; i < locations.length; i++) {
      let itemLocPer = locations[i] * 100;
      let itemColor = colors[i];
      tColorAndLoc.push(`${itemColor} ${itemLocPer}%`);
    }
    return {
      background: `linear-gradient(${tAngle}, ${tColorAndLoc.join(',')})`
    };
  }
  return {};
};
const toLinear = color => {
  let result = (0, _color.getLinearParam)(color);
  let locations = [];
  let colors = [];
  for (let i = 1; i < result.length; i++) {
    let item = result[i];
    colors.push(item[0]);
    locations.push(item[1]);
  }
  if (result.length) {
    let obj = {
      start: {
        x: 0,
        y: 0
      },
      end: {
        x: 1,
        y: 0
      },
      useAngle: true,
      angle: +result[0],
      colors,
      locations
    };
    return obj;
  }
  return {};
};

// 对LinearGradient Props 是严格模式
const Background = _ref => {
  let {
    style = [],
    type = '',
    plain = false,
    color = '',
    ...restProps
  } = _ref;
  let {
    children
  } = restProps;
  if (plain || color) {
    if (plain || !(0, _color.isLinearGradient)(color)) {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [{
          backgroundColor: '#fff'
        }, (0, _styleToObj.default)(style)]
      }, children);
    }
  }

  // web 兼容性问题
  if (_reactNative.Platform.OS === 'web') {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [bgStyle(restProps), (0, _styleToObj.default)(style)]
    }, children);
  }
  // tag 如果是danger 类型会 走渐变的效果
  if (!color && type !== 'danger') {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: style
    }, children);
  }
  const LinearGradientModuleRef = LinearGradient;
  const LinearGradientComponent = LinearGradientModuleRef.LinearGradient || LinearGradientModuleRef.default;
  return /*#__PURE__*/_react.default.createElement(LinearGradientComponent, _extends({
    style: [(0, _styleToObj.default)(style), {
      borderWidth: 0
    }]
  }, restProps, toLinear(color)), children);
};
var _default = Background;
exports.default = _default;
//# sourceMappingURL=bg.js.map