"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tag = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _bg = _interopRequireDefault(require("./bg"));
var _icon = _interopRequireDefault(require("../icon"));
var _styles = _interopRequireDefault(require("./styles"));
var _color = require("../utils/color");
var _styleToObj = _interopRequireDefault(require("../utils/style-to-obj"));
var _filterContainerStyle = _interopRequireDefault(require("../utils/filter-container-style"));
var _configprovider = require("../configprovider");
var _filterTextStyle = _interopRequireDefault(require("../utils/filter-text-style"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const getBgByButtonType = type => {
  const objStyle = {
    start: {
      x: 0,
      y: 0
    },
    end: {
      x: 1,
      y: 0
    }
  };
  if (type === 'danger') {
    return {
      ...objStyle,
      useAngle: true,
      angle: 135,
      locations: [0, 0.7, 1],
      colors: ['#F2140C', '#E8220E', '#F24D0C']
    };
  }
  return {
    locations: [],
    colors: []
  };
};
const Tag = _ref => {
  let {
    type = 'default',
    color = '',
    textColor = '',
    plain = false,
    round = false,
    mark = false,
    closeable = false,
    children,
    style,
    onClose = e => {},
    onClick = e => {}
  } = _ref;
  const {
    locale,
    theme
  } = (0, _configprovider.useConfig)();
  const styles = (0, _styles.default)(theme);
  const [isShow, setIsShow] = (0, _react.useState)(true);
  const getBgStyle = () => {
    if (plain) {
      return {
        backgroundColor: '#fff'
      };
    }
    return getBgByButtonType(type);
  };
  const wrapStyle = [styles.container, styles[`type${type}`], styles[`plain${plain}`] || {}, styles[`round${round}`] || {}, styles[`mark${mark}`] || {}, (0, _filterContainerStyle.default)((0, _styleToObj.default)(style || {})), !plain && color && !(0, _color.isLinearGradient)(color) ? {
    backgroundColor: color
  } : {}];
  const textStyle = [styles.text, styles[`textPlain${plain}${type}`] || {}, (0, _filterTextStyle.default)((0, _styleToObj.default)(style || {})), textColor ? {
    color: textColor
  } : {}];
  const onCloseCallback = (0, _react.useCallback)(e => {
    setIsShow(false);
    onClose(e);
  }, [setIsShow, onClose]);
  if (!isShow) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, null);
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
    underlayColor: null,
    activeOpacity: 1,
    onPress: onClick
  }, /*#__PURE__*/_react.default.createElement(_bg.default, _extends({
    style: wrapStyle
  }, getBgStyle(), {
    type: type,
    plain: plain,
    color: color
  }), closeable ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.closeContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: textStyle
  }, children), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
    onPress: onCloseCallback
  }, /*#__PURE__*/_react.default.createElement(_icon.default, {
    name: "close",
    color: "#ffffff",
    size: 12
  }))) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: textStyle
  }, children)));
};
exports.Tag = Tag;
Tag.displayName = 'NutTag';
//# sourceMappingURL=tag.js.map