"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _textarea = require("./textarea");
var _utils = require("../utils");
var _configprovider = _interopRequireDefault(require("../configprovider"));
var _demo = require("../configprovider/styles/demo.page");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TextAreaDemo = () => {
  const [translated] = (0, _utils.useTranslate)({
    'zh-CN': {
      basic: '基础用法',
      numbers: '显示字数统计',
      autoHeight: '高度自定义，拉伸',
      we2312222: '修改字数统计样式',
      readOnly: '只读',
      readOnlyState: '只读状态',
      disabled: '禁用',
      disabledState: '禁用状态',
      textAlign: '文本位置',
      alignRight: '文本居右'
    },
    'zh-TW': {
      basic: '基礎用法',
      numbers: '顯示數字統計',
      autoHeight: '高度自定義，拉伸',
      we2312222: '修改字数统计样式',
      readOnly: '只讀',
      readOnlyState: '只讀狀態',
      disabled: '禁用',
      disabledState: '禁用狀態',
      textAlign: '文本位置',
      alignRight: '文本居右'
    },
    'en-US': {
      basic: 'Basic usage',
      numbers: 'Displays numerical',
      autoHeight: 'Highly adaptive',
      we2312222: 'reset limit color',
      readOnly: 'Read only',
      readOnlyState: 'Read-only status',
      disabled: 'Disable',
      disabledState: 'Disabled state',
      textAlign: 'TextAlign',
      alignRight: 'TextAlign Right'
    }
  });
  const [value1, updateValue1] = (0, _react.useState)('');
  const [value2] = (0, _react.useState)('');
  const [value3] = (0, _react.useState)('');
  const [value4] = (0, _react.useState)('');
  const customTheme = {
    nutuiTextareaTextCurrorColor: `red`,
    nutuiTextareaLimitColor: `#fa2c19`
  };
  (0, _react.useEffect)(() => {
    updateValue1(translated.basic);
  }, [translated]);
  const change = (value, event) => {
    updateValue1(value);
  };
  return /*#__PURE__*/_react.default.createElement(_demo.DemoPage, null, /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.basic
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    defaultValue: value1,
    className: "text-1",
    style: {
      fontSize: 12
    },
    onChange: (value, event) => {
      change(value, event);
    },
    onBlur: () => {
      console.log('blur');
    },
    onFocus: () => {
      console.log('focus');
    }
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.numbers
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    defaultValue: value2,
    limitshow: true,
    maxlength: "20"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.autoHeight
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    defaultValue: value3,
    rows: "1",
    autosize: true
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.we2312222
  }, /*#__PURE__*/_react.default.createElement(_configprovider.default, {
    theme: customTheme
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    defaultValue: value3,
    limitshow: true,
    maxlength: "20"
  }))), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.readOnly
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    readonly: true,
    defaultValue: `textarea${translated.readOnlyState}`
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.disabled
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    disabled: true,
    defaultValue: `textarea${translated.disabledState}`,
    limitshow: true,
    maxlength: "20"
  })), /*#__PURE__*/_react.default.createElement(_demo.DemoCard, {
    title: translated.textAlign
  }, /*#__PURE__*/_react.default.createElement(_textarea.TextArea, {
    defaultValue: translated.alignRight,
    textAlign: "right"
  })));
};
var _default = TextAreaDemo;
exports.default = _default;
//# sourceMappingURL=demo.js.map