"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimeDetail = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _pt = _interopRequireDefault(require("../utils/pt"));
var _deviceWidth = _interopRequireDefault(require("../utils/deviceWidth"));
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultProps = {
  className: '',
  currentKey: 0,
  currentTime: [],
  times: [],
  select: () => null
};
const TimeDetail = props => {
  const {
    children,
    times,
    className,
    currentKey,
    currentTime,
    select
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const mStyles = (0, _styles.default)(theme);
  const [renderData, setRenderData] = (0, _react.useState)([]);
  const [itemWidth, setItemWidth] = (0, _react.useState)(0);
  (0, _react.useEffect)(() => {
    const currentData = times.find(timesItem => String(timesItem.key) === String(currentKey));
    const renderData = currentData ? currentData.list : [];
    // 根据选中的日期回显当前日期可配送的时间
    setRenderData(renderData);
  }, [times, currentKey]);
  // 选中时间的回调
  const handleTime = time => {
    select(time);
  };
  // 选中的配送时间增加 active 类名
  const getDetailClass = item => {
    let initClass = 'nut-timedetail__item';
    const curTimeData = currentTime.find(item => String(item.key) === String(currentKey));
    if (curTimeData && curTimeData.list && curTimeData.list.includes(item)) {
      initClass += ' nut-timedetail__item-active';
    }
    return initClass;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: mStyles.nut_timedetail_container,
    onLayout: e => {
      setItemWidth((_deviceWidth.default * 3 / 5 - 3 * (0, _pt.default)(20)) / 2);
    }
  }, renderData.map((item, index) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      style: [getDetailClass(item) === 'nut-timedetail__item' ? mStyles.nut_timedetail_no_active : mStyles.nut_timedetail_active, {
        width: itemWidth
      }],
      key: item,
      onPress: () => handleTime(item)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: getDetailClass(item) === 'nut-timedetail__item' ? mStyles.nut_timedetail_no_active_text : mStyles.nut_timedetail_active_text
    }, item));
  }));
};
exports.TimeDetail = TimeDetail;
TimeDetail.defaultProps = defaultProps;
TimeDetail.displayName = 'NutTimeDetail';
//# sourceMappingURL=timedetail.js.map