"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimePannel = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _configprovider = require("../configprovider");
var _styles = _interopRequireDefault(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  className: '',
  date: '',
  curKey: 0
};
const TimePannel = props => {
  const {
    children,
    className,
    date,
    curKey,
    change
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = (0, _configprovider.useConfig)();
  const mStyles = (0, _styles.default)(theme);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [mStyles.nut_timepannel_container, className == 'active' ? mStyles.nut_timepannel_active : mStyles.nut_timepannel_no_active],
    onPress: () => change(curKey)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: className == 'active' ? mStyles.nut_timepannel_active_text : mStyles.nut_timepannel_no_active_text
  }, date));
};
exports.TimePannel = TimePannel;
TimePannel.defaultProps = defaultProps;
TimePannel.displayName = 'NutTimePannel';
//# sourceMappingURL=timepannel.js.map