"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStatusBarHeight = getStatusBarHeight;
exports.ifIphoneX = ifIphoneX;
exports.isIphoneXFunc = exports.isIPhoneX = exports.iphoneXMarginBottom = void 0;
var _reactNative = require("react-native");
/**
 * @参考 react-native-iphone-x-helper
 */

const isIphoneXFunc = () => {
  const dimen = _reactNative.Dimensions.get('window');
  return _reactNative.Platform.OS === 'ios' && !_reactNative.Platform.isPad && !_reactNative.Platform.isTVOS && (dimen.height === 780 || dimen.width === 780 || dimen.height === 812 || dimen.width === 812 || dimen.height === 844 || dimen.width === 844 || dimen.height === 896 || dimen.width === 896 || dimen.height === 926 || dimen.width === 926);
};
exports.isIphoneXFunc = isIphoneXFunc;
const isIPhoneX = isIphoneXFunc();
exports.isIPhoneX = isIPhoneX;
function ifIphoneX(iphoneXStyle, regularStyle) {
  if (isIphoneXFunc()) {
    return iphoneXStyle;
  }
  return regularStyle;
}
function getStatusBarHeight(safe) {
  return _reactNative.Platform.select({
    ios: ifIphoneX(safe ? 44 : 30, 20),
    android: _reactNative.StatusBar.currentHeight,
    default: 0
  });
}
const iphoneXMarginBottom = isIPhoneX ? 34 : 0;
exports.iphoneXMarginBottom = iphoneXMarginBottom;
//# sourceMappingURL=iphone-x.js.map