import React, { useState } from 'react';
// import { useTranslate } from '@/sites/assets/locale/taro'
// import { ActionSheet, Cell } from '@/packages/nutui.react.rn'

import { useTranslate } from '../utils';
import { View, Text } from 'react-native';
import ActionSheet from '.';
import Cell from '../cell';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
const ActionSheetDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      '0f87770f': '选项一',
      'e23e5e80': '选项二',
      'b6102b61': '选项三',
      'acc5939e': '描述信息',
      '85dae65b': '着色选项',
      '314631ed': '禁用选项',
      '74fc5d8a': '基本用法',
      '84aa6bce': '基础用法',
      '595d7bb3': '展示取消按钮',
      '0a1a6656': '展示描述信息',
      'c3a08064': '选项状态',
      'a4a58638': '带取消按钮）',
      '2cd0f3be': '取消',
      'e1699442': '这是一段描述信息',
      'c3a08065': '自定义内容'
    },
    'zh-TW': {
      '0f87770f': '選項一',
      'e23e5e80': '選項二',
      'b6102b61': '選項三',
      'acc5939e': '描述資訊',
      '85dae65b': '著色選項',
      '314631ed': '禁用選項',
      '74fc5d8a': '基本用法',
      '84aa6bce': '基礎用法',
      '595d7bb3': '展示取消按鈕',
      '0a1a6656': '展示描述資訊',
      'c3a08064': '選項狀態',
      'a4a58638': '帶取消按鈕）',
      '2cd0f3be': '取消',
      'e1699442': '這是一段描述資訊',
      'c3a08065': '自定義內容'
    },
    'en-US': {
      '0f87770f': 'Option One',
      'e23e5e80': 'Option Two',
      'b6102b61': 'Option Three',
      'acc5939e': 'Description Information',
      '85dae65b': 'Shading Options',
      '314631ed': 'Disable Option',
      '74fc5d8a': 'Basic Usage',
      '84aa6bce': 'Basic Usage',
      '595d7bb3': 'Show Cancel Button',
      '0a1a6656': 'Display Description Information',
      'c3a08064': 'Option Status',
      'a4a58638': 'with cancel button)',
      '2cd0f3be': 'Cancel',
      'e1699442': 'This is a descriptive message',
      'c3a08065': 'Custom content'
    }
  });
  const [isVisible1, setIsVisible1] = useState(false);
  const [isVisible2, setIsVisible2] = useState(false);
  const [isVisible3, setIsVisible3] = useState(false);
  const [isVisible4, setIsVisible4] = useState(false);
  const [isVisible5, setIsVisible5] = useState(false);
  const [val1, setVal1] = useState('');
  const [val2, setVal2] = useState('');
  const [val3, setVal3] = useState('');
  const menuItemsOne = [{
    name: translated['0f87770f']
  }, {
    name: translated.e23e5e80
  }, {
    name: translated.b6102b61
  }];
  const menuItemsTwo = [{
    name: translated['0f87770f']
  }, {
    name: translated.e23e5e80
  }, {
    name: translated.b6102b61,
    subname: translated.acc5939e
  }];
  const menuItemsThree = [{
    name: translated['85dae65b']
  }, {
    name: translated['314631ed'],
    disable: true
  }];
  const chooseItem = itemParams => {
    console.log(itemParams.name, 'itemParams');
    setVal1(itemParams.name);
    setIsVisible1(false);
  };
  const chooseItemTwo = itemParams => {
    setVal2(itemParams.name);
    setIsVisible2(false);
  };
  const chooseItemThree = itemParams => {
    setVal3(itemParams.name);
    setIsVisible3(false);
  };
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated['74fc5d8a'],
    flexDirection: "column",
    backgroundColor: "rgba(0, 0, 0, 0)",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    title: translated['84aa6bce'],
    isLink: true,
    onClick: () => {
      setIsVisible1(!isVisible1);
    }
  }), /*#__PURE__*/React.createElement(Cell, {
    isLink: true,
    title: translated['595d7bb3'],
    onClick: () => setIsVisible2(!isVisible2)
  }), /*#__PURE__*/React.createElement(Cell, {
    isLink: true,
    title: translated['0a1a6656'],
    onClick: () => setIsVisible3(!isVisible3)
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated['c3a08064'],
    flexDirection: "column",
    backgroundColor: "rgba(0, 0, 0, 0)",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    isLink: true,
    title: translated['c3a08064'],
    onClick: () => setIsVisible4(!isVisible4)
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated['c3a08065'],
    flexDirection: "column",
    backgroundColor: "rgba(0, 0, 0, 0)",
    padding: 0
  }, /*#__PURE__*/React.createElement(Cell, {
    isLink: true,
    title: translated['c3a08065'],
    onClick: () => setIsVisible5(!isVisible4)
  })), /*#__PURE__*/React.createElement(ActionSheet, {
    visible: isVisible1,
    menuItems: menuItemsOne,
    onChoose: chooseItem,
    onCancel: () => setIsVisible1(false)
  }), /*#__PURE__*/React.createElement(ActionSheet, {
    visible: isVisible2,
    cancelTxt: translated['2cd0f3be'],
    menuItems: menuItemsOne,
    onChoose: chooseItemTwo,
    onCancel: () => setIsVisible2(false)
  }), /*#__PURE__*/React.createElement(ActionSheet, {
    visible: isVisible3,
    description: translated.e1699442,
    cancelTxt: translated['2cd0f3be'],
    menuItems: menuItemsTwo,
    onChoose: chooseItemThree,
    onCancel: () => setIsVisible3(false)
  }), /*#__PURE__*/React.createElement(ActionSheet, {
    visible: isVisible4,
    cancelTxt: translated['2cd0f3be'],
    menuItems: menuItemsThree,
    chooseTagValue: translated['85dae65b'],
    onChoose: () => {
      setIsVisible4(false);
    },
    onCancel: () => setIsVisible4(false)
  }), /*#__PURE__*/React.createElement(ActionSheet, {
    visible: isVisible5,
    cancelTxt: translated['2cd0f3be'],
    chooseTagValue: translated['85dae65b'],
    onChoose: () => {
      setIsVisible5(false);
    },
    onCancel: () => setIsVisible5(false)
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      height: 100,
      backgroundColor: '#fff',
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(Text, null, "1223"))));
};
export default ActionSheetDemo;
//# sourceMappingURL=demo.js.map