function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { View, Text, Image } from 'react-native';
import Price from '../price';
import Tag from '../tag';
import cardStyles from './styles';
import { useConfig } from '../configprovider';
const defaultProps = {};
export const Card = props => {
  const {
    className,
    style,
    imgUrl,
    title,
    price,
    vipPrice,
    shopDesc,
    delivery,
    shopName,
    shopTagTpl,
    originTpl,
    prolistTpl,
    footerTpl,
    ...rest
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const styles = cardStyles(theme);
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [styles.container, style]
  }, rest), /*#__PURE__*/React.createElement(View, {
    style: styles.imgContainer
  }, /*#__PURE__*/React.createElement(Image, {
    style: styles.img,
    source: {
      uri: imgUrl
    }
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.rightC
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 2,
    ellipsizeMode: "tail"
  }, title)), prolistTpl, /*#__PURE__*/React.createElement(View, {
    style: styles.priceC
  }, /*#__PURE__*/React.createElement(Price, {
    price: price
  }), originTpl || /*#__PURE__*/React.createElement(Price, {
    style: styles.goldColor,
    price: vipPrice
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.tagC
  }, shopTagTpl || /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Tag, {
    type: "danger"
  }, shopDesc), /*#__PURE__*/React.createElement(Tag, {
    style: styles.marL10,
    plain: true
  }, delivery))), /*#__PURE__*/React.createElement(View, {
    style: styles.shop
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
    style: styles.shopTx
  }, shopName)), footerTpl)));
};
Card.defaultProps = defaultProps;
Card.displayName = 'NutCard';
//# sourceMappingURL=card.js.map