import React from 'react';
import { StyleSheet, View, Text, ScrollView } from 'react-native';
import { DiviceWidth } from '../../utils';
export const DemoPage = _ref => {
  let {
    children
  } = _ref;
  return /*#__PURE__*/React.createElement(ScrollView, {
    style: PageStyles.page
  }, children);
};
export const DemoCard = _ref2 => {
  let {
    title,
    subTitle,
    children,
    flexDirection = 'row',
    backgroundColor = '#fff',
    padding = 10,
    marginLeft = 20
  } = _ref2;
  return /*#__PURE__*/React.createElement(React.Fragment, null, (title || subTitle) && /*#__PURE__*/React.createElement(Text, {
    style: PageStyles.title
  }, title, subTitle && /*#__PURE__*/React.createElement(Text, {
    style: PageStyles.subTitle
  }, `(${subTitle})`)), /*#__PURE__*/React.createElement(View, {
    style: [PageStyles.card, {
      flexDirection,
      backgroundColor,
      padding,
      marginLeft
    }]
  }, children.length > 0 ? children.map((Component, index) => /*#__PURE__*/React.createElement(View, {
    key: index,
    style: [PageStyles.gap, {
      width: flexDirection === 'column' ? '100%' : 'auto',
      marginHorizontal: flexDirection === 'column' ? 0 : 5
    }]
  }, Component)) : /*#__PURE__*/React.createElement(React.Fragment, null, children)));
};
export const PageStyles = StyleSheet.create({
  page: {
    width: DiviceWidth,
    paddingTop: 20,
    backgroundColor: '#f7f7f7',
    flex: 1
  },
  title: {
    marginBottom: 10,
    marginLeft: 20
  },
  subTitle: {
    fontSize: 12,
    paddingLeft: 10
  },
  card: {
    display: 'flex',
    flexDirection: 'row',
    flexWrap: 'wrap',
    width: DiviceWidth - 40,
    backgroundColor: '#fff',
    borderRadius: 4,
    justifyContent: 'flex-start',
    marginLeft: 20,
    marginBottom: 20,
    padding: 10
  },
  gap: {
    margin: 5
  }
});
//# sourceMappingURL=demo.page.js.map