import React from 'react';
import { View, Text, ScrollView, StyleSheet } from 'react-native';
import pt from '../utils/pt';
const Content = props => {
  const {
    visible,
    title,
    footer,
    textAlign,
    footerDirection,
    onClickSelf,
    content,
    children
  } = props;
  if (!visible) {
    return /*#__PURE__*/React.createElement(View, null);
  }
  let headerNode;
  if (title) {
    headerNode = /*#__PURE__*/React.createElement(View, {
      style: styles.header
    }, /*#__PURE__*/React.createElement(Text, {
      style: styles.title
    }, title));
  }
  let footerNode;
  if (footer) {
    const footerStyle = [styles.footerWrap, styles[`footer${footerDirection}`]];
    footerNode = /*#__PURE__*/React.createElement(View, {
      style: footerStyle
    }, footer);
  }
  const handleClick = () => {
    onClickSelf && onClickSelf();
  };
  const renderChildren = () => {
    if (typeof children === 'string') {
      return /*#__PURE__*/React.createElement(Text, {
        style: styles.text
      }, children);
    }
    if (children) {
      return children;
    }
    if (typeof content === 'string') {
      return /*#__PURE__*/React.createElement(Text, {
        style: styles.text
      }, content);
    }
    return content;
  };
  const wrapStyle = [styles.contentStyle];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, headerNode, /*#__PURE__*/React.createElement(ScrollView, {
    style: styles.scroll,
    showsVerticalScrollIndicator: false
  }, renderChildren()), footerNode);
};
Content.displayName = 'NutContent';
export default Content;
const styles = StyleSheet.create({
  contentStyle: {
    flexDirection: 'column',
    alignItems: 'center',
    backgroundColor: '#fff',
    width: pt(592),
    minHeight: pt(312),
    paddingTop: pt(56),
    paddingLeft: pt(48),
    paddingRight: pt(48),
    paddingBottom: pt(32),
    borderRadius: pt(24)
  },
  scroll: {
    marginTop: pt(30)
  },
  header: {
    width: '100%',
    justifyContent: 'center',
    alignItems: 'center'

    // height: pt(40)
  },

  title: {
    fontSize: pt(40),
    fontWeight: 'bold',
    color: 'rgba(38, 38, 38, 1)'
  },
  footerWrap: {
    width: '100%',
    alignItems: 'center',
    justifyContent: 'space-around'
  },
  footervertical: {
    flexDirection: 'column'
  },
  footerhorizontal: {
    flexDirection: 'row'
  },
  text: {
    fontSize: pt(24),
    color: '#757575',
    textAlign: 'center'
  }
});
//# sourceMappingURL=content.js.map