function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { View, Text } from 'react-native';
import { Drag } from './drag';
import { useTranslate, DiviceHeight } from '../utils';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
const DragDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      dragBasic: '触摸移动',
      direction: '限制拖拽方向',
      directionX: '只能X轴拖动',
      directionY: '只能Y轴拖动',
      attract: '自动吸边',
      attractText: '按钮',
      limitBoundaries: '限制拖拽边界'
    },
    'zh-TW': {
      basic: '基本用法',
      dragBasic: '觸摸移動',
      direction: '限製拖拽方向',
      directionX: '只能X軸拖動',
      directionY: '只能Y軸拖動',
      attract: '自動吸邊',
      attractText: '按鈕',
      limitBoundaries: '限製拖拽邊界'
    },
    'en-US': {
      basic: 'Basic Usage',
      dragBasic: 'Button',
      direction: 'Limit Direction',
      directionX: 'X axis',
      directionY: 'Y axis',
      attract: 'Attract',
      attractText: 'Button',
      limitBoundaries: 'Limit Boundaries'
    }
  });
  const bottom = () => {
    return DiviceHeight - 100;
  };
  const btnStyle = {
    borderRadius: 18,
    paddingHorizontal: 18,
    fontSize: 14,
    color: '#fff',
    lineHeight: 36,
    backgroundColor: '#fa2c19'
  };
  const cardStyle = {
    backgroundColor: 'transparent'
  };
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, _extends({
    title: translated.basic
  }, cardStyle), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      height: 50
    }
  }, /*#__PURE__*/React.createElement(Drag, {
    style: {
      top: 0,
      left: 0
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: btnStyle
  }, translated.dragBasic)))), /*#__PURE__*/React.createElement(DemoCard, _extends({
    title: translated.direction
  }, cardStyle), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      height: 100
    }
  }, /*#__PURE__*/React.createElement(Drag, {
    direction: "x",
    style: {
      top: 0,
      left: 0
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: btnStyle
  }, " ", translated.directionX)), /*#__PURE__*/React.createElement(Drag, {
    direction: "y",
    style: {
      top: 0,
      right: 50
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: btnStyle
  }, " ", translated.directionY)))), /*#__PURE__*/React.createElement(DemoCard, _extends({
    title: translated.attract
  }, cardStyle), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      height: 100
    }
  }, /*#__PURE__*/React.createElement(Drag, {
    direction: "x",
    attract: true,
    style: {
      left: 0
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: btnStyle
  }, translated.attractText)))), /*#__PURE__*/React.createElement(DemoCard, _extends({
    title: translated.limitBoundaries
  }, cardStyle), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      height: 100,
      backgroundColor: '#fff'
    }
  }, /*#__PURE__*/React.createElement(Drag, {
    boundary: {
      top: 0,
      left: 0,
      bottom: bottom(),
      right: 60
    },
    style: {
      left: 50
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: btnStyle
  }, translated.limitBoundaries)))));
};
export default DragDemo;
//# sourceMappingURL=demo.js.map