import React from 'react';
import { Ellipsis } from './ellipsis';
import { useTranslate } from '../utils';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
const EllipsisDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      header: '头部省略',
      end: '尾部省略',
      middle: '中间省略',
      rows: '多行省略'
    },
    'en-US': {
      basic: 'Basic Usage',
      header: 'Leading',
      end: 'Tailing',
      middle: 'Middle',
      rows: 'Multi-line'
    }
  });
  const content = 'NutUI 上线后我们研发团队也在不断的优化、测试、使用、迭代的相关组件，但是在跨端小程序的开发过程中，发现没有合适的组件库可以支持多端开发。为了填补这一空白，同时为了优化开发者体验，让 NutUI 能够为更多的开发者带来便利，我们决定在 NutUI 中增加小程序多端适配的能力。';
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.header
  }, /*#__PURE__*/React.createElement(Ellipsis, {
    content: content,
    direction: "start"
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.end
  }, /*#__PURE__*/React.createElement(Ellipsis, {
    content: content,
    direction: "end"
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.middle
  }, /*#__PURE__*/React.createElement(Ellipsis, {
    content: content,
    direction: "middle"
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.rows
  }, /*#__PURE__*/React.createElement(Ellipsis, {
    content: content,
    direction: "start",
    rows: "3"
  })));
};
export default EllipsisDemo;
//# sourceMappingURL=demo.js.map