import React from 'react';
import { Text } from 'react-native';
const defaultProps = {
  content: '',
  direction: '',
  rows: 1,
  expandText: '',
  collapseText: '',
  symbol: '...',
  lineHeight: '',
  style: {}
};
export const Ellipsis = props => {
  const {
    children,
    content,
    direction,
    rows,
    expandText,
    collapseText,
    symbol,
    lineHeight,
    onClick,
    onChange,
    style
  } = {
    ...defaultProps,
    ...props
  };
  const getEllipsizeMode = () => {
    let mode = 'clip';
    switch (direction) {
      case 'start':
        mode = 'head';
        break;
      case 'end':
        mode = 'tail';
        break;
      case 'middle':
        mode = 'middle';
        break;
      default:
        mode = 'clip';
        break;
    }
    return mode;
  };
  return /*#__PURE__*/React.createElement(Text, {
    style: [lineHeight ? {
      lineHeight: lineHeight
    } : {}, style],
    numberOfLines: parseInt(rows),
    ellipsizeMode: getEllipsizeMode()
  }, content);
};
Ellipsis.defaultProps = defaultProps;
Ellipsis.displayName = 'NutEllipsis';
//# sourceMappingURL=ellipsis.js.map