import React, { useCallback } from 'react';
import { View, Image, Text } from 'react-native';
import toObj from '../utils/style-to-obj';
import { useConfig } from '../configprovider';
import emptyStyles from './styles';
/**
 * 内置图片地址
 */
const defaultStatus = {
  empty: 'https://static-ftcms.jd.com/p/files/61a9e3183985005b3958672b.png',
  error: 'https://ftcms.jd.com/p/files/61a9e33ee7dcdbcc0ce62736.png',
  network: 'https://static-ftcms.jd.com/p/files/61a9e31de7dcdbcc0ce62734.png'
};
export const Empty = _ref => {
  let {
    description = '无内容',
    image = 'empty',
    imageSize = '',
    style = {},
    children
  } = _ref;
  const {
    locale,
    theme
  } = useConfig();
  const styles = emptyStyles(theme);
  const getImgUrl = useCallback(image => {
    const isHttpUrl = image.startsWith('https://') || image.startsWith('http://') || image.startsWith('//');
    const imageUrl = isHttpUrl ? image : defaultStatus[image];
    return imageUrl;
  }, [image]);
  const wrapStyle = [styles.container, toObj(style)];
  const imgStyle = [styles.imgContaienr, imageSize ? {
    width: imageSize,
    height: imageSize
  } : {}];
  return /*#__PURE__*/React.createElement(View, {
    style: wrapStyle
  }, /*#__PURE__*/React.createElement(React.Fragment, null, typeof image === 'string' ? /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: getImgUrl(image)
    },
    style: imgStyle
  }) : image, typeof description === 'string' ? /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, description || locale.noData) : description, children));
};
Empty.displayName = 'NutEmpty';
//# sourceMappingURL=empty.js.map