import React from 'react';
import { View, StyleSheet } from 'react-native';
import { Indicator } from './indicator';
import Cell from '../cell';
import Row from '../row';
import Button from '../button';
import { useTranslate } from '../utils';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
const IndicatorDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      ce5c5446: '基础用法',
      c38a08ef: '主要按钮',
      b840c88f: 'block用法',
      a74a1fd4: '不补0',
      c123sda1: '竖向展示'
    },
    'zh-TW': {
      ce5c5446: '基礎用法',
      c38a08ef: '主要按鈕',
      b840c88f: 'block用法',
      a74a1fd4: '不補0',
      c123sda1: '豎向展示'
    },
    'en-US': {
      ce5c5446: 'Basic usage',
      c38a08ef: 'Button',
      b840c88f: 'Block usage',
      a74a1fd4: "Not Add '0'",
      c123sda1: 'Vertical display'
    }
  });
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.ce5c5446,
    flexDirection: "column"
  }, /*#__PURE__*/React.createElement(Cell, null, /*#__PURE__*/React.createElement(Indicator, {
    size: 3,
    current: 3
  })), /*#__PURE__*/React.createElement(Cell, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(Button, {
    size: "small",
    type: "primary"
  }, translated.c38a08ef)), /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(Indicator, {
    block: true,
    align: "right",
    size: 6,
    current: 5
  }))))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.b840c88f,
    flexDirection: "column"
  }, /*#__PURE__*/React.createElement(Cell, null, /*#__PURE__*/React.createElement(Indicator, {
    block: true,
    align: "center",
    size: 6,
    current: 5
  })), /*#__PURE__*/React.createElement(Cell, null, /*#__PURE__*/React.createElement(Indicator, {
    block: true,
    align: "left",
    size: 6,
    current: 1
  })), /*#__PURE__*/React.createElement(Cell, null, /*#__PURE__*/React.createElement(Indicator, {
    block: true,
    align: "right",
    size: 6,
    current: 5
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.a74a1fd4
  }, /*#__PURE__*/React.createElement(Cell, null, /*#__PURE__*/React.createElement(Indicator, {
    fillZero: false,
    size: 6,
    current: 5
  }))), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.c123sda1
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      flexDirection: 'row'
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.vertical_cell
  }, /*#__PURE__*/React.createElement(Indicator, {
    fillZero: false,
    size: 6,
    current: 5,
    vertical: true
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.vertical_cell
  }, /*#__PURE__*/React.createElement(Indicator, {
    size: 6,
    current: 2,
    vertical: true
  })))));
};
const styles = StyleSheet.create({
  vertical_cell: {
    height: 100,
    width: '50%',
    alignItems: 'center',
    justifyContent: 'center',
    overflow: 'hidden'
  }
});
export default IndicatorDemo;
//# sourceMappingURL=demo.js.map