import React from 'react';
import { Text } from 'react-native';
import Icon from '../icon';
import NoticeBar from '../noticebar';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const NoticebarDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基础使用',
      scrollable: '滚动播放',
      mode: '通告栏--关闭模式',
      multiline: '多行展示',
      vertical: '垂直滚动',
      complexAm: '纵向--复杂滚动动画',
      customAm: '纵向--自定义滚动内容',
      customRightIcon: '纵向--自定义右侧图标',
      text: 'NutUI 是京东风格的移动端组件库，使用 Vue 语言来编写可以在 H5，小程序平台上的应用，帮助研发人员提升开发效率，改善开发体验。',
      textShort: 'NutUI 是移动端组件库',
      horseLamp: ['NoticeBar 公告栏', 'Cascader 级联选择', 'DatePicker 日期选择器', 'CheckBox 复选按钮'],
      jd: '京东商城'
    },
    'en-US': {
      basic: 'Basic Usage',
      scrollable: 'Scrollable',
      mode: 'Mode',
      multiline: 'Wrapable',
      vertical: 'Vertical Scroll',
      complexAm: 'Vertical Scroll Complex Animation',
      customAm: 'Vertical Scroll Custom Style',
      customRightIcon: 'Vertical Scroll Custom Right Icon',
      text: 'Nutui is a Jingdong style mobile terminal component library. It uses Vue language to write applications that can be used on H5 and applet platforms to help R & D personnel improve development efficiency and development experience.',
      textShort: 'Nutui is a mobile terminal component library.',
      horseLamp: ['NoticeBar', 'Cascader', 'DatePicker', 'CheckBox'],
      jd: 'Jingdong'
    }
  });
  const hello = () => {
    // console.log('hello world')
  };
  const horseLamp1 = translated.horseLamp;
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.basic,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    style: {
      width: 320
    },
    text: "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93\uFF0C\u4F7F\u7528 Vue \u8BED\u8A00\u6765\u7F16\u5199\u53EF\u4EE5\u5728 H5\uFF0C\u5C0F\u7A0B\u5E8F\u5E73\u53F0\u4E0A\u7684\u5E94\u7528\uFF0C\u5E2E\u52A9\u7814\u53D1\u4EBA\u5458\u63D0\u5347\u5F00\u53D1\u6548\u7387\uFF0C\u6539\u5584\u5F00\u53D1\u4F53\u9A8C\u3002"
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.scrollable,
    style: {
      padding: 0,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    text: "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93",
    style: {
      width: 320
    },
    scrollable: true
  })), /*#__PURE__*/React.createElement(DemoCard, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    text: "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93\uFF0C\u4F7F\u7528 Vue \u8BED\u8A00\u6765\u7F16\u5199\u53EF\u4EE5\u5728 H5\uFF0C\u5C0F\u7A0B\u5E8F\u5E73\u53F0\u4E0A\u7684\u5E94\u7528\uFF0C\u5E2E\u52A9\u7814\u53D1\u4EBA\u5458\u63D0\u5347\u5F00\u53D1\u6548\u7387\uFF0C\u6539\u5584\u5F00\u53D1\u4F53\u9A8C\u3002",
    style: {
      width: 320
    },
    scrollable: false
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.mode,
    style: {
      padding: 0,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    closeMode: true,
    style: {
      width: 320
    },
    onClick: hello
  }, "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93\uFF0C\u4F7F\u7528 Vue \u8BED\u8A00\u6765\u7F16\u5199\u53EF\u4EE5\u5728 H5\uFF0C\u5C0F\u7A0B\u5E8F\u5E73\u53F0\u4E0A\u7684\u5E94\u7528\uFF0C\u5E2E\u52A9\u7814\u53D1\u4EBA\u5458\u63D0\u5347\u5F00\u53D1\u6548\u7387\uFF0C\u6539\u5584\u5F00\u53D1\u4F53\u9A8C\u3002")), /*#__PURE__*/React.createElement(DemoCard, {
    style: {
      padding: 0,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    closeMode: true,
    style: {
      width: 320
    },
    rightIcon: "circle-close",
    onClick: hello
  }, "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93\uFF0C\u4F7F\u7528 Vue \u8BED\u8A00\u6765\u7F16\u5199\u53EF\u4EE5\u5728 H5\uFF0C\u5C0F\u7A0B\u5E8F\u5E73\u53F0\u4E0A\u7684\u5E94\u7528\uFF0C\u5E2E\u52A9\u7814\u53D1\u4EBA\u5458\u63D0\u5347\u5F00\u53D1\u6548\u7387\uFF0C\u6539\u5584\u5F00\u53D1\u4F53\u9A8C\u3002")), /*#__PURE__*/React.createElement(DemoCard, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    style: {
      width: 320
    },
    leftIcon: "https://img13.360buyimg.com/imagetools/jfs/t1/72082/2/3006/1197/5d130c8dE1c71bcd6/e48a3b60804c9775.png"
  }, translated['jd'])), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.multiline,
    style: {
      padding: 0,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    scrollable: false,
    style: {
      width: 320
    },
    text: "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93\uFF0C\u4F7F\u7528 Vue \u8BED\u8A00\u6765\u7F16\u5199\u53EF\u4EE5\u5728 H5\uFF0C\u5C0F\u7A0B\u5E8F\u5E73\u53F0\u4E0A\u7684\u5E94\u7528\uFF0C\u5E2E\u52A9\u7814\u53D1\u4EBA\u5458\u63D0\u5347\u5F00\u53D1\u6548\u7387\uFF0C\u6539\u5584\u5F00\u53D1\u4F53\u9A8C\u3002",
    wrapable: true
  })), /*#__PURE__*/React.createElement(DemoCard, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    scrollable: true,
    style: {
      width: 320
    },
    text: "NutUI \u662F\u4EAC\u4E1C\u98CE\u683C\u7684\u79FB\u52A8\u7AEF\u7EC4\u4EF6\u5E93\uFF0C\u4F7F\u7528 Vue \u8BED\u8A00\u6765\u7F16\u5199\u53EF\u4EE5\u5728 H5\uFF0C\u5C0F\u7A0B\u5E8F\u5E73\u53F0\u4E0A\u7684\u5E94\u7528\uFF0C\u5E2E\u52A9\u7814\u53D1\u4EBA\u5458\u63D0\u5347\u5F00\u53D1\u6548\u7387\uFF0C\u6539\u5584\u5F00\u53D1\u4F53\u9A8C\u3002",
    wrapable: true
  })), /*#__PURE__*/React.createElement(DemoCard, {
    title: translated.vertical,
    style: {
      padding: 0,
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    direction: "vertical",
    style: {
      width: 320
    },
    list: horseLamp1,
    speed: 10,
    standTime: 1000,
    onClick: e => {},
    closeMode: true
  })), /*#__PURE__*/React.createElement(DemoCard, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    direction: "vertical",
    style: {
      width: 320
    },
    list: horseLamp1,
    speed: 10,
    standTime: 2000,
    complexAm: true
  })), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义滚动内容'
  , {
    title: translated.customAm,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    direction: "vertical",
    style: {
      width: 320
    },
    height: 50,
    speed: 10,
    standTime: 1000,
    closeMode: true,
    onClose: () => {
      console.log('close');
    },
    onClick: e => {
      alert('click');
    }
  }, horseLamp1.map((item, index) => {
    return /*#__PURE__*/React.createElement(Text, {
      style: {
        height: 50,
        lineHeight: 50
      },
      key: index
    }, item);
  }))), /*#__PURE__*/React.createElement(DemoCard
  // title='纵向自定义右侧图标'
  , {
    title: translated.customRightIcon,
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement(NoticeBar, {
    direction: "vertical",
    style: {
      width: 320
    },
    list: horseLamp1,
    speed: 10,
    standTime: 1000,
    rightIcon: /*#__PURE__*/React.createElement(Icon, {
      name: "fabulous",
      size: 16,
      color: "#f0250f"
    })
  })));
};
export default NoticebarDemo;
//# sourceMappingURL=demo.js.map