import React from 'react';
import { View } from 'react-native';
import { DataContext } from './UserContext';
const defaultProps = {
  current: 0,
  direction: 'horizontal',
  progressDot: false
};
export const Steps = props => {
  const propSteps = {
    ...defaultProps,
    ...props
  };
  const {
    children,
    current,
    direction,
    className,
    progressDot,
    clickStep,
    onClickStep,
    ...restProps
  } = propSteps;
  const parentSteps = {
    propSteps
  };
  return /*#__PURE__*/React.createElement(DataContext.Provider, {
    value: parentSteps
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      flex: 1,
      width: '100%',
      flexDirection: direction == 'horizontal' ? 'row' : 'column'
    }
  }, children));
};
Steps.defaultProps = defaultProps;
Steps.displayName = 'NutSteps';
//# sourceMappingURL=steps.js.map