import React, { useState, useEffect } from 'react';
import { View, Text, Image } from 'react-native';
import Swiper from '../swiper';
import SwiperItem from '../swiperitem';
import Icon from '../icon';
import { DemoPage, DemoCard } from '../configprovider/styles/demo.page';
import { useTranslate } from '../utils';
const SwiperDemo = () => {
  const [translated] = useTranslate({
    'zh-CN': {
      basic: '基本用法',
      asyc: '异步加载(3s)',
      dynamicDel: '动态加载',
      size: '自定义大小',
      indicator: '自定义指示器',
      btns: '手动切换',
      vertical: '垂直方向',
      horizontalCenter: '水平居中展示',
      verticalCenter: '垂直居中展示'
    },
    'en-US': {
      basic: 'Basic Usage',
      asyc: 'Asynchronous loading(3s)',
      dynamicDel: 'Dynamic loading',
      size: 'Custom size',
      indicator: 'Custom indicator',
      btns: 'Manual switching',
      vertical: 'Vertical direction',
      horizontalCenter: 'Horizontal center display',
      verticalCenter: 'Vertical center display'
    }
  });
  const swiperRef = React.useRef(null);
  const [list, setList] = useState([]);
  const [list1, setList1] = useState(['https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg', 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg', 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg', 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg']);
  const [current, setCurrent] = useState(1);
  const [current2, setCurrent2] = useState(1);
  const onChange3 = e => {
    setCurrent(e + 1);
  };
  const onChange4 = e => {
    setCurrent2(e + 1);
  };
  const handlePrev = () => {
    swiperRef.current.prev();
  };
  const handleNext = () => {
    swiperRef.current.next();
  };
  useEffect(() => {
    setTimeout(() => {
      const arr = ['https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg', 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg', 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg', 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'];
      setList(arr);
    }, 3000);
  }, []);
  useEffect(() => {
    setTimeout(() => {
      const arr = list1.slice();
      arr.splice(1, 1);
      setList1(arr);
    }, 3000);
  }, []);
  return /*#__PURE__*/React.createElement(DemoPage, null, /*#__PURE__*/React.createElement(DemoCard
  // title='基本用法'
  , {
    title: translated.basic
  }, /*#__PURE__*/React.createElement(Swiper, {
    width: 320,
    height: 150,
    paginationColor: "#426543",
    paginationBgColor: "#426ddd",
    autoPlay: 3000,
    initPage: 0,
    paginationVisible: true
  }, /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))), /*#__PURE__*/React.createElement(DemoCard
  // title='异步加载'
  , {
    title: translated.asyc
  }, /*#__PURE__*/React.createElement(Swiper, {
    width: 320,
    height: 150,
    paginationColor: "#426543",
    autoPlay: 1000,
    initPage: 0,
    paginationVisible: true
  }, list.map(item => {
    return /*#__PURE__*/React.createElement(SwiperItem, {
      key: item
    }, /*#__PURE__*/React.createElement(Image, {
      source: {
        uri: item
      },
      style: {
        width: '100%',
        height: 150
      }
    }));
  }))), /*#__PURE__*/React.createElement(DemoCard
  // title='动态加载'
  , {
    title: translated.dynamicDel
  }, /*#__PURE__*/React.createElement(Swiper, {
    width: 320,
    height: 150,
    paginationColor: "#426543",
    autoPlay: 1000,
    initPage: 0,
    paginationVisible: true
  }, list1.map(item => {
    return /*#__PURE__*/React.createElement(SwiperItem, {
      key: item
    }, /*#__PURE__*/React.createElement(Image, {
      source: {
        uri: item
      },
      style: {
        width: '100%',
        height: 150
      }
    }));
  }))), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义大小'
  , {
    title: translated.size
  }, /*#__PURE__*/React.createElement(Swiper, {
    width: 290,
    height: 150,
    paginationColor: "#426543",
    paginationBgColor: "#426ddd",
    autoPlay: 3000,
    initPage: 0,
    paginationVisible: true
  }, /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))), /*#__PURE__*/React.createElement(DemoCard
  // title='自定义分页指示器'
  , {
    title: translated.indicator
  }, /*#__PURE__*/React.createElement(Swiper, {
    initPage: 0,
    loop: true,
    width: 320,
    height: 150,
    onChange: onChange3,
    pageContent: /*#__PURE__*/React.createElement(View, {
      style: {
        position: 'absolute',
        bottom: 0,
        right: 0,
        width: 46,
        height: 22,
        borderRadius: 22,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'rgba(0,0,0,0.3)'
      }
    }, /*#__PURE__*/React.createElement(Text, {
      style: {
        fontSize: 14,
        color: '#fff'
      }
    }, " ", current, "/4 "))
  }, /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))), /*#__PURE__*/React.createElement(DemoCard
  // title='手动切换'
  , {
    title: translated.btns
  }, /*#__PURE__*/React.createElement(Swiper, {
    width: 320,
    height: 150,
    ref: swiperRef,
    loop: true,
    initPage: 1,
    onChange: onChange4,
    pageContent: /*#__PURE__*/React.createElement(View, {
      style: {
        position: 'absolute',
        bottom: 0,
        right: 0,
        width: 46,
        height: 22,
        borderRadius: 22,
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: 'rgba(0,0,0,0.3)'
      }
    }, /*#__PURE__*/React.createElement(Text, {
      style: {
        fontSize: 14,
        color: '#fff'
      }
    }, current2, "/4"))
  }, list.map(item => {
    return /*#__PURE__*/React.createElement(SwiperItem, {
      key: item
    }, /*#__PURE__*/React.createElement(Image, {
      source: {
        uri: item
      },
      style: {
        width: '100%',
        height: 150
      }
    }));
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%',
      position: 'absolute',
      top: '50%',
      zIndex: 1,
      flexDirection: 'row',
      justifyContent: 'space-between'
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      alignItems: 'center',
      justifyContent: 'center',
      width: 20,
      height: 30,
      backgroundColor: 'rgba(0, 0, 0, 0.2)'
    },
    onTouchStart: () => {
      handlePrev();
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "left"
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      alignItems: 'center',
      justifyContent: 'center',
      width: 20,
      height: 30,
      backgroundColor: 'rgba(0, 0, 0, 0.2)'
    },
    onTouchStart: () => {
      handleNext();
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "right"
  })))), /*#__PURE__*/React.createElement(DemoCard
  // title='垂直方向'
  , {
    title: translated.vertical
  }, /*#__PURE__*/React.createElement(Swiper, {
    loop: true,
    initPage: 0,
    width: 320,
    direction: "vertical",
    autoPlay: 3000,
    height: 150,
    paginationVisible: true
  }, /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })), /*#__PURE__*/React.createElement(SwiperItem, null, /*#__PURE__*/React.createElement(Image, {
    source: {
      uri: 'https://storage.360buyimg.com/jdc-article/fristfabu.jpg'
    },
    style: {
      width: '100%',
      height: 150
    }
  })))));
};
export default SwiperDemo;
//# sourceMappingURL=demo.js.map