import * as React from 'react';
import { Animated } from 'react-native';
export const useAnimate = configure => {
  const useAnimatedValue = initialValue => {
    const ref = React.useRef(new Animated.Value(initialValue));
    return ref.current;
  };
  const animatedValue = useAnimatedValue(configure.initialValue);
  return [animatedValue];
};
export const useAnimatedTiming = () => {
  const animatedRef = React.useRef();
  const animatedFunc = React.useCallback(_ref => {
    var _animatedRef$current;
    let {
      toValue = 1,
      duration = 200,
      easing,
      useNativeDriver = false
    } = _ref;
    (_animatedRef$current = animatedRef.current) === null || _animatedRef$current === void 0 ? void 0 : _animatedRef$current.stop();
    animatedRef.current = Animated.timing(animatedValue, {
      toValue,
      duration,
      easing,
      useNativeDriver
    }).start();
  }, [animatedValue]);
  var [animatedValue] = useAnimate({
    initialValue: 0,
    animate: animatedFunc
  });
  return [animatedValue, animatedFunc];
};
//# sourceMappingURL=useAnimations.js.map