import React, { useEffect } from 'react';
import Icon from '../icon';
import fConStyle from '../utils/filter-container-style';
import toObj from '../utils/style-to-obj';
import { View, Text, StyleSheet, TouchableHighlight } from 'react-native';
import px from '../utils/px';
import pt from '../utils/pt';
const defaultProps = {
  dot: false,
  size: '',
  tabTitle: '',
  icon: '',
  onhref: () => {},
  num: '',
  active: false,
  activeColor: '',
  unactiveColor: '',
  index: 0,
  handleClick: idx => {}
};
export const TabbarItem = props => {
  const {
    dot,
    size,
    style,
    tabTitle,
    icon,
    onhref,
    num,
    active,
    activeColor,
    unactiveColor,
    index,
    handleClick
  } = {
    ...defaultProps,
    ...props
  };
  useEffect(() => {
    if (active && onhref) {
      // window.location.href = href
      onhref();
    }
  }, [active, onhref]);
  const wrapStyle = [styles.container, fConStyle(toObj(style || {}))];
  const aColor = activeColor || styles.active.color;
  const unaColor = unactiveColor || styles.default.color;
  const tabTitleStyle = [{
    color: active ? aColor : unaColor
  }, styles.navWord, !icon ? styles.bigWord : {}];
  return /*#__PURE__*/React.createElement(TouchableHighlight, {
    activeOpacity: 1,
    style: wrapStyle,
    underlayColor: null,
    onPress: () => {
      handleClick(index);
    }
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(View, {
    style: styles.bIcon
  }, !dot ? /*#__PURE__*/React.createElement(React.Fragment, null, num && num <= 99 ? /*#__PURE__*/React.createElement(View, {
    style: styles.tips
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.num
  }, num)) : null, num && num >= 100 ? /*#__PURE__*/React.createElement(View, {
    style: styles.tips
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.num
  }, "99+")) : null) : /*#__PURE__*/React.createElement(View, {
    style: styles.dot
  }), icon ? /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Icon, {
    size: size,
    color: active ? aColor : unaColor,
    name: icon
  })) : null, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
    style: tabTitleStyle
  }, tabTitle)))));
};
const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  },
  bIcon: {
    position: 'relative',
    padding: 0,
    flexDirection: 'column',
    alignItems: 'center'
  },
  tips: {
    position: 'absolute',
    backgroundColor: '#fa2c19',
    borderWidth: px(1),
    borderColor: '#fff',
    borderRadius: pt(14),
    textAlign: 'center',
    top: -pt(4),
    right: -pt(16),
    zIndex: 1
  },
  num: {
    color: '#fff',
    fontSize: pt(20),
    paddingTop: pt(1),
    paddingRight: pt(2),
    paddingBottom: pt(2),
    paddingLeft: pt(6)
  },
  active: {
    color: '#fa2c19'
  },
  default: {
    color: '#1a1a1a'
  },
  navWord: {
    fontSize: pt(20)
  },
  bigWord: {
    fontSize: pt(32)
  },
  dot: {
    position: 'absolute',
    width: pt(14),
    height: pt(14),
    borderRadius: pt(7),
    padding: 0,
    backgroundColor: '#fa2c19',
    top: -2,
    right: -5
  }
});
//# sourceMappingURL=tabbaritem.js.map