function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useCallback, useState } from 'react';
import { View, Text, TouchableHighlight } from 'react-native';
import Background from './bg';
import Icon from '../icon';
import tagStyles from './styles';
import { isLinearGradient } from '../utils/color';
import toObj from '../utils/style-to-obj';
import fConStyle from '../utils/filter-container-style';
import { useConfig } from '../configprovider';
import fTextStyle from '../utils/filter-text-style';
const getBgByButtonType = type => {
  const objStyle = {
    start: {
      x: 0,
      y: 0
    },
    end: {
      x: 1,
      y: 0
    }
  };
  if (type === 'danger') {
    return {
      ...objStyle,
      useAngle: true,
      angle: 135,
      locations: [0, 0.7, 1],
      colors: ['#F2140C', '#E8220E', '#F24D0C']
    };
  }
  return {
    locations: [],
    colors: []
  };
};
export const Tag = _ref => {
  let {
    type = 'default',
    color = '',
    textColor = '',
    plain = false,
    round = false,
    mark = false,
    closeable = false,
    children,
    style,
    onClose = e => {},
    onClick = e => {}
  } = _ref;
  const {
    locale,
    theme
  } = useConfig();
  const styles = tagStyles(theme);
  const [isShow, setIsShow] = useState(true);
  const getBgStyle = () => {
    if (plain) {
      return {
        backgroundColor: '#fff'
      };
    }
    return getBgByButtonType(type);
  };
  const wrapStyle = [styles.container, styles[`type${type}`], styles[`plain${plain}`] || {}, styles[`round${round}`] || {}, styles[`mark${mark}`] || {}, fConStyle(toObj(style || {})), !plain && color && !isLinearGradient(color) ? {
    backgroundColor: color
  } : {}];
  const textStyle = [styles.text, styles[`textPlain${plain}${type}`] || {}, fTextStyle(toObj(style || {})), textColor ? {
    color: textColor
  } : {}];
  const onCloseCallback = useCallback(e => {
    setIsShow(false);
    onClose(e);
  }, [setIsShow, onClose]);
  if (!isShow) {
    return /*#__PURE__*/React.createElement(View, null);
  }
  return /*#__PURE__*/React.createElement(TouchableHighlight, {
    underlayColor: null,
    activeOpacity: 1,
    onPress: onClick
  }, /*#__PURE__*/React.createElement(Background, _extends({
    style: wrapStyle
  }, getBgStyle(), {
    type: type,
    plain: plain,
    color: color
  }), closeable ? /*#__PURE__*/React.createElement(View, {
    style: styles.closeContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: textStyle
  }, children), /*#__PURE__*/React.createElement(TouchableHighlight, {
    onPress: onCloseCallback
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "close",
    color: "#ffffff",
    size: 12
  }))) : /*#__PURE__*/React.createElement(Text, {
    style: textStyle
  }, children)));
};
Tag.displayName = 'NutTag';
//# sourceMappingURL=tag.js.map