import React from 'react';
import { Text, TouchableOpacity } from 'react-native';
import { useConfig } from '../configprovider';
import timePannelStyles from './styles';
const defaultProps = {
  className: '',
  date: '',
  curKey: 0
};
export const TimePannel = props => {
  const {
    children,
    className,
    date,
    curKey,
    change
  } = {
    ...defaultProps,
    ...props
  };
  const {
    theme
  } = useConfig();
  const mStyles = timePannelStyles(theme);
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: [mStyles.nut_timepannel_container, className == 'active' ? mStyles.nut_timepannel_active : mStyles.nut_timepannel_no_active],
    onPress: () => change(curKey)
  }, /*#__PURE__*/React.createElement(Text, {
    style: className == 'active' ? mStyles.nut_timepannel_active_text : mStyles.nut_timepannel_no_active_text
  }, date));
};
TimePannel.defaultProps = defaultProps;
TimePannel.displayName = 'NutTimePannel';
//# sourceMappingURL=timepannel.js.map