import { ComponentDefaults } from './typings';
export { default as DiviceWidth } from './deviceWidth';
export { default as DiviceHeight } from './deviceHeight';
export { default as StatusBarHeight } from './statusBarHeight';
export { default as useTranslate } from '../hooks/useTranslate';
export { ComponentDefaults };
const trimExtraChar = (value, char, regExp) => {
  const index = value.indexOf(char);
  if (index === -1) {
    return value;
  }
  if (char === '-' && index !== 0) {
    return value.slice(0, index);
  }
  return value.slice(0, index + 1) + value.slice(index).replace(regExp, '');
};
export const formatNumber = function (value) {
  let allowDot = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  let allowMinus = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  if (allowDot) {
    value = trimExtraChar(value, '.', /\./g);
  } else {
    value = value.split('.')[0];
  }
  if (allowMinus) {
    value = trimExtraChar(value, '-', /-/g);
  } else {
    value = value.replace(/-/, '');
  }
  const regExp = allowDot ? /[^-0-9.]/g : /[^-0-9]/g;
  return value.replace(regExp, '');
};
//# sourceMappingURL=index.js.map