import React from 'react';
import { View, FlatList } from 'react-native';
const defaultProps = {};
export const VirtualList = props => {
  const {
    sourceData = [],
    ItemRender,
    horizontal = false,
    handleScroll,
    onScroll,
    className,
    containerSize,
    extraData = {},
    ...rest
  } = props;
  if (horizontal) {
    return /*#__PURE__*/React.createElement(View, {
      style: [containerSize ? {
        height: containerSize
      } : {}]
    }, /*#__PURE__*/React.createElement(FlatList, {
      data: sourceData,
      onScroll: e => {
        onScroll && onScroll(e);
      },
      extraData: extraData,
      horizontal: horizontal,
      renderItem: ItemRender
    }));
  }
  return /*#__PURE__*/React.createElement(View, {
    style: [containerSize ? {
      height: containerSize
    } : {
      flex: 1
    }]
  }, /*#__PURE__*/React.createElement(FlatList, {
    data: sourceData,
    onScroll: e => {
      onScroll && onScroll(e);
    },
    extraData: extraData,
    horizontal: horizontal,
    renderItem: ItemRender
  }));
};
VirtualList.defaultProps = defaultProps;
VirtualList.displayName = 'NutVirtualList';
//# sourceMappingURL=virtuallist.js.map